"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
const command_line_args_1 = __importDefault(require("command-line-args"));
const path = __importStar(require("path"));
function resolveDirectories(options) {
    const cwd = process.cwd();
    if (options.sourceDir) {
        options.sourceDir = options.sourceDir.map(d => path.resolve(cwd, d));
    }
    if (options.outputDir) {
        options.outputDir = path.resolve(cwd, options.outputDir);
    }
    return options;
}
exports.optionDefinitions = [
    { name: 'sourceDir', alias: 's', description: 'The folder which you want to extract telemetry from (relative to the CWD)', type: String, multiple: true },
    { name: 'excludedDir', alias: 'x', description: 'A subdirectory which you would like to exclude from the extraction (relative to the CWD)', type: String, multiple: true, defaultValue: [] },
    { name: 'config', alias: 'c', description: 'A JSON Configuration file containing extraction details', type: String },
    { name: 'outputDir', alias: 'o', description: 'The directory which you would like the outputted JSON file to be placed in', type: String },
    { name: 'eventPrefix', alias: 'p', type: String, description: 'The string you wish to prepend to every telemetry event.', defaultValue: '' },
    { name: 'help', alias: 'h', type: Boolean, description: 'Displays the help dialog which provides more information on how to use the tool', defaultValue: false },
    { name: 'applyEndpoints', alias: 'e', type: Boolean, defaultValue: false },
    { name: 'silenceOutput', type: Boolean, description: 'Silences all progress messages.', defaultValue: false },
    { name: 'verbose', alias: 'v', type: Boolean, defaultValue: false }
];
exports.options = resolveDirectories(command_line_args_1.default(exports.optionDefinitions, { partial: true }));
//# sourceMappingURL=cli-options.js.map