"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
/**
 * @param {string} outputFile
 * @param {string} contents
 * @returns {Promise}
 */
async function writeFile(outputFile, contents) {
    const directory = path.dirname(outputFile);
    return mkdirp(directory).then((dir) => {
        return new Promise((resolve, reject) => {
            fs.writeFile(outputFile, contents, { encoding: 'utf8' }, (err) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve();
                }
            });
        });
    });
}
exports.writeFile = writeFile;
// copied from https://github.com/Microsoft/vscode/blob/master/src/main.js#L139
async function mkdirp(dir) {
    return mkdir(dir)
        .then(null, function (err) {
        if (err && err.code === 'ENOENT') {
            var parent = path.dirname(dir);
            if (parent !== dir) { // if not arrived at root
                return mkdirp(parent)
                    .then(function () {
                    return mkdir(dir);
                });
            }
        }
        throw err;
    });
}
// copied from https://github.com/Microsoft/vscode/blob/master/src/main.js#L155
async function mkdir(dir) {
    return new Promise(function (resolve, reject) {
        fs.mkdir(dir, function (err) {
            if (err && err.code !== 'EEXIST') {
                reject(err);
            }
            else {
                resolve(dir);
            }
        });
    });
}
//# sourceMappingURL=file-writer.js.map