"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/css!./octicons/octicons");
require("vs/css!./octicons/octicons2");
require("vs/css!./octicons/octicons-main");
require("vs/css!./octicons/octicons-animations");
const strings_1 = require("vs/base/common/strings");
function expand(text) {
    return text.replace(/\$\(((.+?)(~(.*?))?)\)/g, (_match, _g1, name, _g3, animation) => {
        return `<span class="octicon octicon-${name} ${animation ? `octicon-animation-${animation}` : ''}"></span>`;
    });
}
function renderOcticons(label) {
    return expand(strings_1.escape(label));
}
exports.renderOcticons = renderOcticons;
class OcticonLabel {
    constructor(_container) {
        this._container = _container;
    }
    set text(text) {
        this._container.innerHTML = renderOcticons(text || '');
    }
    set title(title) {
        this._container.title = title;
    }
}
exports.OcticonLabel = OcticonLabel;
//# sourceMappingURL=octiconLabel.js.map