"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/css!./media/tree");
const iterator_1 = require("vs/base/common/iterator");
const abstractTree_1 = require("vs/base/browser/ui/tree/abstractTree");
const indexTreeModel_1 = require("vs/base/browser/ui/tree/indexTreeModel");
class IndexTree extends abstractTree_1.AbstractTree {
    constructor(user, container, delegate, renderers, rootElement, options = {}) {
        super(user, container, delegate, renderers, options);
        this.rootElement = rootElement;
    }
    splice(location, deleteCount, toInsert = iterator_1.Iterator.empty()) {
        this.model.splice(location, deleteCount, toInsert);
    }
    rerender(location) {
        if (location === undefined) {
            this.view.rerender();
            return;
        }
        this.model.rerender(location);
    }
    createModel(user, view, options) {
        return new indexTreeModel_1.IndexTreeModel(user, view, this.rootElement, options);
    }
}
exports.IndexTree = IndexTree;
//# sourceMappingURL=indexTree.js.map