"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const path = require("vs/base/common/path");
const os = require("os");
const zip_1 = require("vs/base/node/zip");
const uuid_1 = require("vs/base/common/uuid");
const pfs_1 = require("vs/base/node/pfs");
const amd_1 = require("vs/base/common/amd");
const async_1 = require("vs/base/common/async");
const fixtures = amd_1.getPathFromAmdModule(require, './fixtures');
suite('Zip', () => {
    test('extract should handle directories', () => {
        const fixture = path.join(fixtures, 'extract.zip');
        const target = path.join(os.tmpdir(), uuid_1.generateUuid());
        return async_1.createCancelablePromise(token => zip_1.extract(fixture, target, {}, token)
            .then(() => pfs_1.exists(path.join(target, 'extension')))
            .then(exists => assert(exists))
            .then(() => pfs_1.rimraf(target)));
    });
});
//# sourceMappingURL=zip.test.js.map