"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
const assert = require("assert");
const id_1 = require("vs/base/node/id");
const macAddress_1 = require("vs/base/node/macAddress");
suite('ID', () => {
    test('getMachineId', function () {
        this.timeout(20000);
        return id_1.getMachineId().then(id => {
            assert.ok(id);
        });
    });
    test('getMac', () => {
        return macAddress_1.getMac().then(macAddress => {
            assert.ok(/^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$/.test(macAddress), `Expected a MAC address, got: ${macAddress}`);
        });
    });
});
//# sourceMappingURL=id.test.js.map