"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const strings_1 = require("vs/base/common/strings");
function normalizeGitHubUrl(url) {
    // If the url has a .git suffix, remove it
    if (strings_1.endsWith(url, '.git')) {
        url = url.substr(0, url.length - 4);
    }
    // Remove trailing slash
    url = strings_1.rtrim(url, '/');
    if (strings_1.endsWith(url, '/new')) {
        url = strings_1.rtrim(url, '/new');
    }
    if (strings_1.endsWith(url, '/issues')) {
        url = strings_1.rtrim(url, '/issues');
    }
    return url;
}
exports.normalizeGitHubUrl = normalizeGitHubUrl;
//# sourceMappingURL=issueReporterUtil.js.map