"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/editor/common/standalone/promise-polyfill/polyfill");
const cancellation_1 = require("vs/base/common/cancellation");
const event_1 = require("vs/base/common/event");
const keyCodes_1 = require("vs/base/common/keyCodes");
const uri_1 = require("vs/base/common/uri");
const position_1 = require("vs/editor/common/core/position");
const range_1 = require("vs/editor/common/core/range");
const selection_1 = require("vs/editor/common/core/selection");
const token_1 = require("vs/editor/common/core/token");
const standaloneEnums = require("vs/editor/common/standalone/standaloneEnums");
class KeyMod {
    static chord(firstPart, secondPart) {
        return keyCodes_1.KeyChord(firstPart, secondPart);
    }
}
exports.KeyMod = KeyMod;
KeyMod.CtrlCmd = 2048 /* CtrlCmd */;
KeyMod.Shift = 1024 /* Shift */;
KeyMod.Alt = 512 /* Alt */;
KeyMod.WinCtrl = 256 /* WinCtrl */;
function createMonacoBaseAPI() {
    return {
        editor: undefined,
        languages: undefined,
        CancellationTokenSource: cancellation_1.CancellationTokenSource,
        Emitter: event_1.Emitter,
        KeyCode: standaloneEnums.KeyCode,
        KeyMod: KeyMod,
        Position: position_1.Position,
        Range: range_1.Range,
        Selection: selection_1.Selection,
        SelectionDirection: standaloneEnums.SelectionDirection,
        MarkerSeverity: standaloneEnums.MarkerSeverity,
        MarkerTag: standaloneEnums.MarkerTag,
        Uri: uri_1.URI,
        Token: token_1.Token
    };
}
exports.createMonacoBaseAPI = createMonacoBaseAPI;
//# sourceMappingURL=standaloneBase.js.map