"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
const assert = require("assert");
const uri_1 = require("vs/base/common/uri");
const range_1 = require("vs/editor/common/core/range");
const position_1 = require("vs/editor/common/core/position");
const referencesModel_1 = require("vs/editor/contrib/referenceSearch/referencesModel");
suite('references', function () {
    test('nearestReference', () => {
        const model = new referencesModel_1.ReferencesModel([{
                uri: uri_1.URI.file('/out/obj/can'),
                range: new range_1.Range(1, 1, 1, 1)
            }, {
                uri: uri_1.URI.file('/out/obj/can2'),
                range: new range_1.Range(1, 1, 1, 1)
            }, {
                uri: uri_1.URI.file('/src/can'),
                range: new range_1.Range(1, 1, 1, 1)
            }]);
        let ref = model.nearestReference(uri_1.URI.file('/src/can'), new position_1.Position(1, 1));
        assert.equal(ref.uri.path, '/src/can');
        ref = model.nearestReference(uri_1.URI.file('/src/someOtherFileInSrc'), new position_1.Position(1, 1));
        assert.equal(ref.uri.path, '/src/can');
        ref = model.nearestReference(uri_1.URI.file('/out/someOtherFile'), new position_1.Position(1, 1));
        assert.equal(ref.uri.path, '/out/obj/can');
        ref = model.nearestReference(uri_1.URI.file('/out/obj/can2222'), new position_1.Position(1, 1));
        assert.equal(ref.uri.path, '/out/obj/can2');
    });
});
//# sourceMappingURL=referencesModel.test.js.map