"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const modes_1 = require("vs/editor/common/modes");
const languageConfigurationRegistry_1 = require("vs/editor/common/modes/languageConfigurationRegistry");
const mockMode_1 = require("vs/editor/test/common/mocks/mockMode");
class CommentMode extends mockMode_1.MockMode {
    constructor(commentsConfig) {
        super(CommentMode._id);
        this._register(languageConfigurationRegistry_1.LanguageConfigurationRegistry.register(this.getLanguageIdentifier(), {
            comments: commentsConfig
        }));
    }
}
exports.CommentMode = CommentMode;
CommentMode._id = new modes_1.LanguageIdentifier('commentMode', 3);
//# sourceMappingURL=commentMode.js.map