"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const event_1 = require("vs/base/common/event");
const lifecycle_1 = require("vs/base/common/lifecycle");
class MockMode extends lifecycle_1.Disposable {
    constructor(languageIdentifier) {
        super();
        this._languageIdentifier = languageIdentifier;
    }
    getId() {
        return this._languageIdentifier.language;
    }
    getLanguageIdentifier() {
        return this._languageIdentifier;
    }
}
exports.MockMode = MockMode;
class StaticLanguageSelector {
    constructor(languageIdentifier) {
        this.languageIdentifier = languageIdentifier;
        this.onDidChange = event_1.Event.None;
    }
    dispose() { }
}
exports.StaticLanguageSelector = StaticLanguageSelector;
//# sourceMappingURL=mockMode.js.map