"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const nls_1 = require("vs/nls");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
exports.EXTENSION_IDENTIFIER_PATTERN = '^([a-z0-9A-Z][a-z0-9\-A-Z]*)\\.([a-z0-9A-Z][a-z0-9\-A-Z]*)$';
exports.EXTENSION_IDENTIFIER_REGEX = new RegExp(exports.EXTENSION_IDENTIFIER_PATTERN);
function isIExtensionIdentifier(thing) {
    return thing
        && typeof thing === 'object'
        && typeof thing.id === 'string'
        && (!thing.uuid || typeof thing.uuid === 'string');
}
exports.isIExtensionIdentifier = isIExtensionIdentifier;
exports.IExtensionManagementService = instantiation_1.createDecorator('extensionManagementService');
exports.IExtensionGalleryService = instantiation_1.createDecorator('extensionGalleryService');
var SortBy;
(function (SortBy) {
    SortBy[SortBy["NoneOrRelevance"] = 0] = "NoneOrRelevance";
    SortBy[SortBy["LastUpdatedDate"] = 1] = "LastUpdatedDate";
    SortBy[SortBy["Title"] = 2] = "Title";
    SortBy[SortBy["PublisherName"] = 3] = "PublisherName";
    SortBy[SortBy["InstallCount"] = 4] = "InstallCount";
    SortBy[SortBy["PublishedDate"] = 5] = "PublishedDate";
    SortBy[SortBy["AverageRating"] = 6] = "AverageRating";
    SortBy[SortBy["WeightedRating"] = 12] = "WeightedRating";
})(SortBy = exports.SortBy || (exports.SortBy = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder[SortOrder["Default"] = 0] = "Default";
    SortOrder[SortOrder["Ascending"] = 1] = "Ascending";
    SortOrder[SortOrder["Descending"] = 2] = "Descending";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
var StatisticType;
(function (StatisticType) {
    StatisticType["Uninstall"] = "uninstall";
})(StatisticType = exports.StatisticType || (exports.StatisticType = {}));
var InstallOperation;
(function (InstallOperation) {
    InstallOperation[InstallOperation["None"] = 0] = "None";
    InstallOperation[InstallOperation["Install"] = 1] = "Install";
    InstallOperation[InstallOperation["Update"] = 2] = "Update";
})(InstallOperation = exports.InstallOperation || (exports.InstallOperation = {}));
exports.INSTALL_ERROR_MALICIOUS = 'malicious';
exports.INSTALL_ERROR_INCOMPATIBLE = 'incompatible';
exports.ExtensionsLabel = nls_1.localize('extensions', "Extensions");
exports.ExtensionsChannelId = 'extensions';
exports.PreferencesLabel = nls_1.localize('preferences', "Preferences");
//# sourceMappingURL=extensionManagement.js.map