"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const objects_1 = require("vs/base/common/objects");
const nlsRegex = /^%([\w\d.-]+)%$/i;
function localizeManifest(manifest, translations) {
    const patcher = (value) => {
        if (typeof value !== 'string') {
            return undefined;
        }
        const match = nlsRegex.exec(value);
        if (!match) {
            return undefined;
        }
        return translations[match[1]] || value;
    };
    return objects_1.cloneAndChange(manifest, patcher);
}
exports.localizeManifest = localizeManifest;
//# sourceMappingURL=extensionNls.js.map