"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
const ipc_electron_browser_1 = require("vs/base/parts/ipc/electron-browser/ipc.electron-browser");
const lifecycle_1 = require("vs/base/common/lifecycle");
exports.IMainProcessService = instantiation_1.createDecorator('mainProcessService');
class MainProcessService extends lifecycle_1.Disposable {
    constructor(windowId) {
        super();
        this.mainProcessConnection = this._register(new ipc_electron_browser_1.Client(`window:${windowId}`));
    }
    getChannel(channelName) {
        return this.mainProcessConnection.getChannel(channelName);
    }
    registerChannel(channelName, channel) {
        this.mainProcessConnection.registerChannel(channelName, channel);
    }
}
exports.MainProcessService = MainProcessService;
//# sourceMappingURL=mainProcessService.js.map