"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const notification_1 = require("vs/platform/notification/common/notification");
const lifecycle_1 = require("vs/base/common/lifecycle");
class TestNotificationService {
    info(message) {
        return this.notify({ severity: notification_1.Severity.Info, message });
    }
    warn(message) {
        return this.notify({ severity: notification_1.Severity.Warning, message });
    }
    error(error) {
        return this.notify({ severity: notification_1.Severity.Error, message: error });
    }
    notify(notification) {
        return TestNotificationService.NO_OP;
    }
    prompt(severity, message, choices, options) {
        return TestNotificationService.NO_OP;
    }
    status(message, options) {
        return lifecycle_1.Disposable.None;
    }
}
exports.TestNotificationService = TestNotificationService;
TestNotificationService.NO_OP = new notification_1.NoOpNotification();
//# sourceMappingURL=testNotificationService.js.map