"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const network_1 = require("vs/base/common/network");
exports.REMOTE_HOST_SCHEME = network_1.Schemas.vscodeRemote;
function getRemoteAuthority(uri) {
    return uri.scheme === exports.REMOTE_HOST_SCHEME ? uri.authority : undefined;
}
exports.getRemoteAuthority = getRemoteAuthority;
function getRemoteName(authority) {
    if (!authority) {
        return undefined;
    }
    const pos = authority.indexOf('+');
    if (pos < 0) {
        // funky? bad authority?
        return authority;
    }
    return authority.substr(0, pos);
}
exports.getRemoteName = getRemoteName;
//# sourceMappingURL=remoteHosts.js.map