"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const uri_1 = require("vs/base/common/uri");
const product_1 = require("vs/platform/product/common/product");
const urlService_1 = require("vs/platform/url/common/urlService");
class URLService extends urlService_1.AbstractURLService {
    create(options) {
        let { authority, path, query, fragment } = options ? options : { authority: undefined, path: undefined, query: undefined, fragment: undefined };
        if (authority && path && path.indexOf('/') !== 0) {
            path = `/${path}`; // URI validation requires a path if there is an authority
        }
        return uri_1.URI.from({ scheme: product_1.default.urlProtocol, authority, path, query, fragment });
    }
}
exports.URLService = URLService;
//# sourceMappingURL=urlService.js.map