"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
var UserDataSyncStoreErrorCode;
(function (UserDataSyncStoreErrorCode) {
    UserDataSyncStoreErrorCode["Rejected"] = "Rejected";
    UserDataSyncStoreErrorCode["Unknown"] = "Unknown";
})(UserDataSyncStoreErrorCode = exports.UserDataSyncStoreErrorCode || (exports.UserDataSyncStoreErrorCode = {}));
class UserDataSyncStoreError extends Error {
    constructor(message, code) {
        super(message);
        this.code = code;
    }
}
exports.UserDataSyncStoreError = UserDataSyncStoreError;
exports.IUserDataSyncStoreService = instantiation_1.createDecorator('IUserDataSyncStoreService');
var SyncSource;
(function (SyncSource) {
    SyncSource[SyncSource["Settings"] = 1] = "Settings";
    SyncSource[SyncSource["Extensions"] = 2] = "Extensions";
})(SyncSource = exports.SyncSource || (exports.SyncSource = {}));
var SyncStatus;
(function (SyncStatus) {
    SyncStatus["Uninitialized"] = "uninitialized";
    SyncStatus["Idle"] = "idle";
    SyncStatus["Syncing"] = "syncing";
    SyncStatus["HasConflicts"] = "hasConflicts";
})(SyncStatus = exports.SyncStatus || (exports.SyncStatus = {}));
exports.IUserDataSyncService = instantiation_1.createDecorator('IUserDataSyncService');
exports.ISettingsMergeService = instantiation_1.createDecorator('ISettingsMergeService');
//# sourceMappingURL=userDataSync.js.map