"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const contributions_1 = require("vs/workbench/common/contributions");
const platform_1 = require("vs/platform/registry/common/platform");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
// --- other interested parties
const jsonValidationExtensionPoint_1 = require("vs/workbench/api/common/jsonValidationExtensionPoint");
const colorExtensionPoint_1 = require("vs/workbench/services/themes/common/colorExtensionPoint");
const languageConfigurationExtensionPoint_1 = require("vs/workbench/contrib/codeEditor/browser/languageConfigurationExtensionPoint");
// --- mainThread participants
require("./mainThreadCodeInsets");
require("./mainThreadClipboard");
require("./mainThreadCommands");
require("./mainThreadConfiguration");
require("./mainThreadConsole");
require("./mainThreadDebugService");
require("./mainThreadDecorations");
require("./mainThreadDiagnostics");
require("./mainThreadDialogs");
require("./mainThreadDocumentContentProviders");
require("./mainThreadDocuments");
require("./mainThreadDocumentsAndEditors");
require("./mainThreadEditor");
require("./mainThreadEditors");
require("./mainThreadErrors");
require("./mainThreadExtensionService");
require("./mainThreadFileSystem");
require("./mainThreadFileSystemEventService");
require("./mainThreadKeytar");
require("./mainThreadLanguageFeatures");
require("./mainThreadLanguages");
require("./mainThreadLogService");
require("./mainThreadMessageService");
require("./mainThreadOutputService");
require("./mainThreadProgress");
require("./mainThreadQuickOpen");
require("./mainThreadSaveParticipant");
require("./mainThreadSCM");
require("./mainThreadSearch");
require("./mainThreadStatusBar");
require("./mainThreadStorage");
require("./mainThreadTelemetry");
require("./mainThreadTerminalService");
require("./mainThreadTreeViews");
require("./mainThreadDownloadService");
require("./mainThreadUrls");
require("./mainThreadWindow");
require("./mainThreadWebview");
require("./mainThreadWorkspace");
require("./mainThreadComments");
require("./mainThreadTask");
require("./mainThreadLabelService");
require("vs/workbench/api/common/apiCommands");
let ExtensionPoints = class ExtensionPoints {
    constructor(instantiationService) {
        this.instantiationService = instantiationService;
        // Classes that handle extension points...
        this.instantiationService.createInstance(jsonValidationExtensionPoint_1.JSONValidationExtensionPoint);
        this.instantiationService.createInstance(colorExtensionPoint_1.ColorExtensionPoint);
        this.instantiationService.createInstance(languageConfigurationExtensionPoint_1.LanguageConfigurationFileHandler);
    }
};
ExtensionPoints = __decorate([
    __param(0, instantiation_1.IInstantiationService)
], ExtensionPoints);
exports.ExtensionPoints = ExtensionPoints;
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(ExtensionPoints, 1 /* Starting */);
//# sourceMappingURL=extensionHost.contribution.js.map