"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const uri_1 = require("vs/base/common/uri");
const extHost_protocol_1 = require("vs/workbench/api/common/extHost.protocol");
class ExtHostDialogs {
    constructor(mainContext) {
        this._proxy = mainContext.getProxy(extHost_protocol_1.MainContext.MainThreadDialogs);
    }
    showOpenDialog(options) {
        return this._proxy.$showOpenDialog(options).then(filepaths => {
            return filepaths ? filepaths.map(p => uri_1.URI.revive(p)) : undefined;
        });
    }
    showSaveDialog(options) {
        return this._proxy.$showSaveDialog(options).then(filepath => {
            return filepath ? uri_1.URI.revive(filepath) : undefined;
        });
    }
}
exports.ExtHostDialogs = ExtHostDialogs;
//# sourceMappingURL=extHostDialogs.js.map