"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extHost_protocol_1 = require("./extHost.protocol");
class ExtHostLanguages {
    constructor(mainContext, documents) {
        this._proxy = mainContext.getProxy(extHost_protocol_1.MainContext.MainThreadLanguages);
        this._documents = documents;
    }
    getLanguages() {
        return this._proxy.$getLanguages();
    }
    changeLanguage(uri, languageId) {
        return this._proxy.$changeLanguage(uri, languageId).then(() => {
            const data = this._documents.getDocumentData(uri);
            return data ? data.document : undefined;
        });
    }
}
exports.ExtHostLanguages = ExtHostLanguages;
//# sourceMappingURL=extHostLanguages.js.map