"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const extHostOutput_1 = require("vs/workbench/api/common/extHostOutput");
const extHostOutputService_1 = require("vs/workbench/api/node/extHostOutputService");
const extHostWorkspace_1 = require("vs/workbench/api/common/extHostWorkspace");
const extHostDecorations_1 = require("vs/workbench/api/common/extHostDecorations");
const extHostConfiguration_1 = require("vs/workbench/api/common/extHostConfiguration");
const extHostCommands_1 = require("vs/workbench/api/common/extHostCommands");
const extHostDocumentsAndEditors_1 = require("vs/workbench/api/common/extHostDocumentsAndEditors");
const extHostTerminalService_1 = require("vs/workbench/api/node/extHostTerminalService");
const extHostTerminalService_2 = require("vs/workbench/api/common/extHostTerminalService");
const extHostTask_1 = require("vs/workbench/api/common/extHostTask");
const extHostTask_2 = require("vs/workbench/api/node/extHostTask");
const extHostDebugService_1 = require("vs/workbench/api/node/extHostDebugService");
const extHostDebugService_2 = require("vs/workbench/api/common/extHostDebugService");
const extHostSearch_1 = require("vs/workbench/api/common/extHostSearch");
const extHostSearch_2 = require("vs/workbench/api/node/extHostSearch");
const extHostStoragePaths_1 = require("vs/workbench/api/node/extHostStoragePaths");
const extHostStoragePaths_2 = require("vs/workbench/api/common/extHostStoragePaths");
const extHostExtensionService_1 = require("vs/workbench/api/common/extHostExtensionService");
const extHostExtensionService_2 = require("vs/workbench/api/node/extHostExtensionService");
const extHostStorage_1 = require("vs/workbench/api/common/extHostStorage");
const log_1 = require("vs/platform/log/common/log");
const extHostLogService_1 = require("vs/workbench/api/node/extHostLogService");
// register singleton services
extensions_1.registerSingleton(log_1.ILogService, extHostLogService_1.ExtHostLogService);
extensions_1.registerSingleton(extHostOutput_1.IExtHostOutputService, extHostOutputService_1.ExtHostOutputService2);
extensions_1.registerSingleton(extHostWorkspace_1.IExtHostWorkspace, extHostWorkspace_1.ExtHostWorkspace);
extensions_1.registerSingleton(extHostDecorations_1.IExtHostDecorations, extHostDecorations_1.ExtHostDecorations);
extensions_1.registerSingleton(extHostConfiguration_1.IExtHostConfiguration, extHostConfiguration_1.ExtHostConfiguration);
extensions_1.registerSingleton(extHostCommands_1.IExtHostCommands, extHostCommands_1.ExtHostCommands);
extensions_1.registerSingleton(extHostDocumentsAndEditors_1.IExtHostDocumentsAndEditors, extHostDocumentsAndEditors_1.ExtHostDocumentsAndEditors);
extensions_1.registerSingleton(extHostTerminalService_2.IExtHostTerminalService, extHostTerminalService_1.ExtHostTerminalService);
extensions_1.registerSingleton(extHostTask_1.IExtHostTask, extHostTask_2.ExtHostTask);
extensions_1.registerSingleton(extHostDebugService_2.IExtHostDebugService, extHostDebugService_1.ExtHostDebugService);
extensions_1.registerSingleton(extHostSearch_1.IExtHostSearch, extHostSearch_2.ExtHostSearch);
extensions_1.registerSingleton(extHostStoragePaths_2.IExtensionStoragePaths, extHostStoragePaths_1.ExtensionStoragePaths);
extensions_1.registerSingleton(extHostExtensionService_1.IExtHostExtensionService, extHostExtensionService_2.ExtHostExtensionService);
extensions_1.registerSingleton(extHostStorage_1.IExtHostStorage, extHostStorage_1.ExtHostStorage);
//# sourceMappingURL=extHost.services.js.map