"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const nls_1 = require("vs/nls");
const path_1 = require("vs/base/common/path");
const log_1 = require("vs/platform/log/common/log");
const extensions_1 = require("vs/workbench/services/extensions/common/extensions");
const uri_1 = require("vs/base/common/uri");
const extHostInitDataService_1 = require("vs/workbench/api/common/extHostInitDataService");
const network_1 = require("vs/base/common/network");
const spdlogService_1 = require("vs/platform/log/node/spdlogService");
const extHostOutput_1 = require("vs/workbench/api/common/extHostOutput");
let ExtHostLogService = class ExtHostLogService extends log_1.DelegatedLogService {
    constructor(initData, extHostOutputService) {
        if (initData.logsLocation.scheme !== network_1.Schemas.file) {
            throw new Error('Only file-logging supported');
        }
        super(new spdlogService_1.SpdLogService(extensions_1.ExtensionHostLogFileName, initData.logsLocation.fsPath, initData.logLevel));
        // Register an output channel for exthost log
        extHostOutputService.createOutputChannelFromLogFile(initData.remote.isRemote ? nls_1.localize('remote extension host Log', "Remote Extension Host") : nls_1.localize('extension host Log', "Extension Host"), uri_1.URI.file(path_1.join(initData.logsLocation.fsPath, `${extensions_1.ExtensionHostLogFileName}.log`)));
    }
    $setLevel(level) {
        this.setLevel(level);
    }
};
ExtHostLogService = __decorate([
    __param(0, extHostInitDataService_1.IExtHostInitDataService),
    __param(1, extHostOutput_1.IExtHostOutputService)
], ExtHostLogService);
exports.ExtHostLogService = ExtHostLogService;
//# sourceMappingURL=extHostLogService.js.map