"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const nls = require("vs/nls");
const editor_1 = require("vs/workbench/common/editor");
const telemetry_1 = require("vs/platform/telemetry/common/telemetry");
const themeService_1 = require("vs/platform/theme/common/themeService");
const sideBySideEditor_1 = require("vs/workbench/browser/parts/editor/sideBySideEditor");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
const binaryEditor_1 = require("vs/workbench/browser/parts/editor/binaryEditor");
const storage_1 = require("vs/platform/storage/common/storage");
/**
 * An implementation of editor for diffing binary files like images or videos.
 */
let BinaryResourceDiffEditor = class BinaryResourceDiffEditor extends sideBySideEditor_1.SideBySideEditor {
    constructor(telemetryService, instantiationService, themeService, storageService) {
        super(telemetryService, instantiationService, themeService, storageService);
    }
    getMetadata() {
        const master = this.masterEditor;
        const details = this.detailsEditor;
        if (master instanceof binaryEditor_1.BaseBinaryResourceEditor && details instanceof binaryEditor_1.BaseBinaryResourceEditor) {
            return nls.localize('metadataDiff', "{0} ↔ {1}", details.getMetadata(), master.getMetadata());
        }
        return undefined;
    }
};
BinaryResourceDiffEditor.ID = editor_1.BINARY_DIFF_EDITOR_ID;
BinaryResourceDiffEditor = __decorate([
    __param(0, telemetry_1.ITelemetryService),
    __param(1, instantiation_1.IInstantiationService),
    __param(2, themeService_1.IThemeService),
    __param(3, storage_1.IStorageService)
], BinaryResourceDiffEditor);
exports.BinaryResourceDiffEditor = BinaryResourceDiffEditor;
//# sourceMappingURL=binaryDiffEditor.js.map