"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const textEditorModel_1 = require("vs/workbench/common/editor/textEditorModel");
const modeService_1 = require("vs/editor/common/services/modeService");
const modelService_1 = require("vs/editor/common/services/modelService");
/**
 * An editor model for in-memory, readonly content that is backed by an existing editor model.
 */
let ResourceEditorModel = class ResourceEditorModel extends textEditorModel_1.BaseTextEditorModel {
    constructor(resource, modeService, modelService) {
        super(modelService, modeService, resource);
    }
    isReadonly() {
        return true;
    }
    dispose() {
        // TODO@Joao: force this class to dispose the underlying model
        if (this.textEditorModelHandle) {
            this.modelService.destroyModel(this.textEditorModelHandle);
        }
        super.dispose();
    }
};
ResourceEditorModel = __decorate([
    __param(1, modeService_1.IModeService),
    __param(2, modelService_1.IModelService)
], ResourceEditorModel);
exports.ResourceEditorModel = ResourceEditorModel;
//# sourceMappingURL=resourceEditorModel.js.map