"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const contextmenu_1 = require("vs/editor/contrib/contextmenu/contextmenu");
const snippetController2_1 = require("vs/editor/contrib/snippet/snippetController2");
const suggestController_1 = require("vs/editor/contrib/suggest/suggestController");
const menuPreventer_1 = require("vs/workbench/contrib/codeEditor/browser/menuPreventer");
const selectionClipboard_1 = require("vs/workbench/contrib/codeEditor/browser/selectionClipboard");
const tabCompletion_1 = require("vs/workbench/contrib/snippets/browser/tabCompletion");
function getSimpleEditorOptions() {
    return {
        wordWrap: 'on',
        overviewRulerLanes: 0,
        glyphMargin: false,
        lineNumbers: 'off',
        folding: false,
        selectOnLineNumbers: false,
        hideCursorInOverviewRuler: true,
        selectionHighlight: false,
        scrollbar: {
            horizontal: 'hidden'
        },
        lineDecorationsWidth: 0,
        overviewRulerBorder: false,
        scrollBeyondLastLine: false,
        renderLineHighlight: 'none',
        fixedOverflowWidgets: true,
        acceptSuggestionOnEnter: 'smart',
        minimap: {
            enabled: false
        }
    };
}
exports.getSimpleEditorOptions = getSimpleEditorOptions;
function getSimpleCodeEditorWidgetOptions() {
    return {
        isSimpleWidget: true,
        contributions: [
            menuPreventer_1.MenuPreventer,
            selectionClipboard_1.SelectionClipboard,
            contextmenu_1.ContextMenuController,
            suggestController_1.SuggestController,
            snippetController2_1.SnippetController2,
            tabCompletion_1.TabCompletionController,
        ]
    };
}
exports.getSimpleCodeEditorWidgetOptions = getSimpleCodeEditorWidgetOptions;
//# sourceMappingURL=simpleEditorOptions.js.map