"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const nls = require("vs/nls");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const platform_1 = require("vs/platform/registry/common/platform");
require("vs/workbench/contrib/comments/browser/commentsEditorContribution");
const commentService_1 = require("vs/workbench/contrib/comments/browser/commentService");
const configurationRegistry_1 = require("vs/platform/configuration/common/configurationRegistry");
platform_1.Registry.as(configurationRegistry_1.Extensions.Configuration).registerConfiguration({
    id: 'comments',
    order: 20,
    title: nls.localize('commentsConfigurationTitle', "Comments"),
    type: 'object',
    properties: {
        'comments.openPanel': {
            enum: ['neverOpen', 'openOnSessionStart', 'openOnSessionStartWithComments'],
            default: 'openOnSessionStartWithComments',
            description: nls.localize('openComments', "Controls when the comments panel should open.")
        }
    }
});
extensions_1.registerSingleton(commentService_1.ICommentService, commentService_1.CommentService);
//# sourceMappingURL=comments.contribution.js.map