"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const lifecycle_1 = require("vs/base/common/lifecycle");
const uri_1 = require("vs/base/common/uri");
const uuid_1 = require("vs/base/common/uuid");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
const customEditorInput_1 = require("vs/workbench/contrib/customEditor/browser/customEditorInput");
const webviewEditorInputFactory_1 = require("vs/workbench/contrib/webview/browser/webviewEditorInputFactory");
const webviewEditorService_1 = require("vs/workbench/contrib/webview/browser/webviewEditorService");
let CustomEditoInputFactory = class CustomEditoInputFactory extends webviewEditorInputFactory_1.WebviewEditorInputFactory {
    constructor(_instantiationService, webviewService) {
        super(webviewService);
        this._instantiationService = _instantiationService;
        this.webviewService = webviewService;
    }
    serialize(input) {
        const data = Object.assign(Object.assign({}, this.toJson(input)), { editorResource: input.getResource().toJSON() });
        try {
            return JSON.stringify(data);
        }
        catch (_a) {
            return undefined;
        }
    }
    deserialize(_instantiationService, serializedEditorInput) {
        const data = this.fromJson(serializedEditorInput);
        const webviewInput = this.webviewService.reviveWebview(uuid_1.generateUuid(), data.viewType, data.title, data.iconPath, data.state, data.options, data.extensionLocation ? {
            location: data.extensionLocation,
            id: data.extensionId
        } : undefined, data.group);
        const customInput = this._instantiationService.createInstance(customEditorInput_1.CustomFileEditorInput, uri_1.URI.from(data.editorResource), data.viewType, uuid_1.generateUuid(), new lifecycle_1.UnownedDisposable(webviewInput.webview));
        if (typeof data.group === 'number') {
            customInput.updateGroup(data.group);
        }
        return customInput;
    }
};
CustomEditoInputFactory.ID = customEditorInput_1.CustomFileEditorInput.typeId;
CustomEditoInputFactory = __decorate([
    __param(0, instantiation_1.IInstantiationService),
    __param(1, webviewEditorService_1.IWebviewEditorService)
], CustomEditoInputFactory);
exports.CustomEditoInputFactory = CustomEditoInputFactory;
//# sourceMappingURL=customEditorInputFactory.js.map