"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const debug_1 = require("vs/workbench/contrib/debug/common/debug");
const ipc_cp_1 = require("vs/base/parts/ipc/node/ipc.cp");
const telemetryIpc_1 = require("vs/platform/telemetry/node/telemetryIpc");
const amd_1 = require("vs/base/common/amd");
const telemetryService_1 = require("vs/platform/telemetry/common/telemetryService");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
class NodeDebugHelperService {
    constructor() {
    }
    createTelemetryService(configurationService, args) {
        const client = new ipc_cp_1.Client(amd_1.getPathFromAmdModule(require, 'bootstrap-fork'), {
            serverName: 'Debug Telemetry',
            timeout: 1000 * 60 * 5,
            args: args,
            env: {
                ELECTRON_RUN_AS_NODE: 1,
                PIPE_LOGGING: 'true',
                AMD_ENTRYPOINT: 'vs/workbench/contrib/debug/node/telemetryApp'
            }
        });
        const channel = client.getChannel('telemetryAppender');
        const appender = new telemetryIpc_1.TelemetryAppenderClient(channel);
        return new telemetryService_1.TelemetryService({ appender }, configurationService);
    }
}
exports.NodeDebugHelperService = NodeDebugHelperService;
extensions_1.registerSingleton(debug_1.IDebugHelperService, NodeDebugHelperService);
//# sourceMappingURL=debugHelperService.js.map