"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const nls = require("vs/nls");
const uri_1 = require("vs/base/common/uri");
const editor_1 = require("vs/workbench/common/editor");
class RuntimeExtensionsInput extends editor_1.EditorInput {
    constructor() {
        super();
    }
    getTypeId() {
        return RuntimeExtensionsInput.ID;
    }
    getName() {
        return nls.localize('extensionsInputName', "Running Extensions");
    }
    matches(other) {
        if (!(other instanceof RuntimeExtensionsInput)) {
            return false;
        }
        return true;
    }
    resolve() {
        return Promise.resolve(null);
    }
    supportsSplitEditor() {
        return false;
    }
    getResource() {
        return uri_1.URI.from({
            scheme: 'runtime-extensions',
            path: 'default'
        });
    }
}
exports.RuntimeExtensionsInput = RuntimeExtensionsInput;
RuntimeExtensionsInput.ID = 'workbench.runtimeExtensions.input';
//# sourceMappingURL=runtimeExtensionsInput.js.map