"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const nls = require("vs/nls");
const platform_1 = require("vs/platform/registry/common/platform");
const fileEditorInput_1 = require("vs/workbench/contrib/files/common/editors/fileEditorInput");
const descriptors_1 = require("vs/platform/instantiation/common/descriptors");
const editor_1 = require("vs/workbench/browser/editor");
const textFileEditor_1 = require("vs/workbench/contrib/files/electron-browser/textFileEditor");
const dirtyFilesTracker_1 = require("vs/workbench/contrib/files/electron-browser/dirtyFilesTracker");
const contributions_1 = require("vs/workbench/common/contributions");
// Register file editor
platform_1.Registry.as(editor_1.Extensions.Editors).registerEditor(new editor_1.EditorDescriptor(textFileEditor_1.NativeTextFileEditor, textFileEditor_1.NativeTextFileEditor.ID, nls.localize('textFileEditor', "Text File Editor")), [
    new descriptors_1.SyncDescriptor(fileEditorInput_1.FileEditorInput)
]);
// Register Dirty Files Tracker
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(dirtyFilesTracker_1.NativeDirtyFilesTracker, 1 /* Starting */);
//# sourceMappingURL=files.contribution.js.map