"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const uri_1 = require("vs/base/common/uri");
const workbenchTestServices_1 = require("vs/workbench/test/workbenchTestServices");
const files_1 = require("vs/workbench/contrib/files/common/files");
const textfiles_1 = require("vs/workbench/services/textfile/common/textfiles");
const files_2 = require("vs/platform/files/common/files");
let ServiceAccessor = class ServiceAccessor {
    constructor(fileService) {
        this.fileService = fileService;
    }
};
ServiceAccessor = __decorate([
    __param(0, files_2.IFileService)
], ServiceAccessor);
suite('Files - FileOnDiskContentProvider', () => {
    let instantiationService;
    let accessor;
    setup(() => {
        instantiationService = workbenchTestServices_1.workbenchInstantiationService();
        accessor = instantiationService.createInstance(ServiceAccessor);
    });
    test('provideTextContent', () => __awaiter(void 0, void 0, void 0, function* () {
        const provider = instantiationService.createInstance(files_1.TextFileContentProvider);
        const uri = uri_1.URI.parse('testFileOnDiskContentProvider://foo');
        const content = yield provider.provideTextContent(uri.with({ scheme: 'conflictResolution', query: JSON.stringify({ scheme: uri.scheme }) }));
        assert.equal(textfiles_1.snapshotToString(content.createSnapshot()), 'Hello Html');
        assert.equal(accessor.fileService.getLastReadFileUri().toString(), uri.toString());
    }));
});
//# sourceMappingURL=fileOnDiskProvider.test.js.map