"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const replace_1 = require("vs/workbench/contrib/search/common/replace");
const replaceService_1 = require("vs/workbench/contrib/search/browser/replaceService");
const platform_1 = require("vs/platform/registry/common/platform");
const contributions_1 = require("vs/workbench/common/contributions");
function registerContributions() {
    extensions_1.registerSingleton(replace_1.IReplaceService, replaceService_1.ReplaceService, true);
    platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(replaceService_1.ReplacePreviewContentProvider, 1 /* Starting */);
}
exports.registerContributions = registerContributions;
//# sourceMappingURL=replaceContributions.js.map