"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const workspaceStats_1 = require("vs/workbench/contrib/stats/common/workspaceStats");
class NoOpWorkspaceStatsService {
    getTags() {
        return Promise.resolve({});
    }
    getTelemetryWorkspaceId(workspace, state) {
        return undefined;
    }
    getHashedRemotesFromUri(workspaceUri, stripEndingDotGit) {
        return Promise.resolve([]);
    }
}
exports.NoOpWorkspaceStatsService = NoOpWorkspaceStatsService;
extensions_1.registerSingleton(workspaceStats_1.IWorkspaceStatsService, NoOpWorkspaceStatsService, true);
//# sourceMappingURL=workspaceStatsService.js.map