"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const terminal_1 = require("vs/workbench/contrib/terminal/common/terminal");
const event_1 = require("vs/base/common/event");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
class TerminalNativeService {
    constructor() {
        this._onOpenFileRequest = new event_1.Emitter();
        this._onOsResume = new event_1.Emitter();
    }
    get linuxDistro() { return terminal_1.LinuxDistro.Unknown; }
    get onOpenFileRequest() { return this._onOpenFileRequest.event; }
    get onOsResume() { return this._onOsResume.event; }
    whenFileDeleted() {
        throw new Error('Not implemented');
    }
    getWslPath() {
        throw new Error('Not implemented');
    }
    getWindowsBuildNumber() {
        throw new Error('Not implemented');
    }
}
exports.TerminalNativeService = TerminalNativeService;
extensions_1.registerSingleton(terminal_1.ITerminalNativeService, TerminalNativeService, true);
//# sourceMappingURL=terminalNativeService.js.map