"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const nls = require("vs/nls");
const severity_1 = require("vs/base/common/severity");
const product_1 = require("vs/platform/product/common/product");
const environment_1 = require("vs/platform/environment/common/environment");
const notification_1 = require("vs/platform/notification/common/notification");
let Win3264BitContribution = class Win3264BitContribution {
    constructor(notificationService, environmentService) {
        if (environmentService.disableUpdates) {
            return;
        }
        const url = product_1.default.quality === 'insider'
            ? Win3264BitContribution.INSIDER_URL
            : Win3264BitContribution.URL;
        notificationService.prompt(severity_1.default.Info, nls.localize('64bitisavailable', "{0} for 64-bit Windows is now available! Click [here]({1}) to learn more.", product_1.default.nameShort, url), [], {
            sticky: true,
            neverShowAgain: { id: 'neverShowAgain:update/win32-64bits', isSecondary: true }
        });
    }
};
Win3264BitContribution.URL = 'https://code.visualstudio.com/updates/v1_15#_windows-64-bit';
Win3264BitContribution.INSIDER_URL = 'https://github.com/Microsoft/vscode-docs/blob/vnext/release-notes/v1_15.md#windows-64-bit';
Win3264BitContribution = __decorate([
    __param(0, notification_1.INotificationService),
    __param(1, environment_1.IEnvironmentService)
], Win3264BitContribution);
exports.Win3264BitContribution = Win3264BitContribution;
//# sourceMappingURL=update.js.map