"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const lifecycle_1 = require("vs/base/common/lifecycle");
const opener_1 = require("vs/platform/opener/common/opener");
const environmentService_1 = require("vs/workbench/services/environment/common/environmentService");
let ExternalUriResolverContribution = class ExternalUriResolverContribution extends lifecycle_1.Disposable {
    constructor(_openerService, _workbenchEnvironmentService) {
        super();
        if (_workbenchEnvironmentService.options && _workbenchEnvironmentService.options.resolveExternalUri) {
            this._register(_openerService.registerExternalUriResolver({
                resolveExternalUri: (resource) => __awaiter(this, void 0, void 0, function* () {
                    return {
                        resolved: yield _workbenchEnvironmentService.options.resolveExternalUri(resource),
                        dispose: () => {
                            // TODO
                        }
                    };
                })
            }));
        }
    }
};
ExternalUriResolverContribution = __decorate([
    __param(0, opener_1.IOpenerService),
    __param(1, environmentService_1.IWorkbenchEnvironmentService)
], ExternalUriResolverContribution);
exports.ExternalUriResolverContribution = ExternalUriResolverContribution;
//# sourceMappingURL=externalUriResolver.js.map