"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const actions_1 = require("vs/base/common/actions");
const uri_1 = require("vs/base/common/uri");
const nls_1 = require("vs/nls");
const actions_2 = require("vs/platform/actions/common/actions");
const commands_1 = require("vs/platform/commands/common/commands");
const quickInput_1 = require("vs/platform/quickinput/common/quickInput");
const platform_1 = require("vs/platform/registry/common/platform");
const url_1 = require("vs/platform/url/common/url");
const actions_3 = require("vs/workbench/common/actions");
const contributions_1 = require("vs/workbench/common/contributions");
const externalUriResolver_1 = require("vs/workbench/contrib/url/common/externalUriResolver");
const trustedDomains_1 = require("vs/workbench/contrib/url/common/trustedDomains");
const trustedDomainsFileSystemProvider_1 = require("vs/workbench/contrib/url/common/trustedDomainsFileSystemProvider");
const trustedDomainsValidator_1 = require("vs/workbench/contrib/url/common/trustedDomainsValidator");
let OpenUrlAction = class OpenUrlAction extends actions_1.Action {
    constructor(id, label, urlService, quickInputService) {
        super(id, label);
        this.urlService = urlService;
        this.quickInputService = quickInputService;
    }
    run() {
        return this.quickInputService.input({ prompt: 'URL to open' }).then(input => {
            const uri = uri_1.URI.parse(input);
            this.urlService.open(uri);
        });
    }
};
OpenUrlAction.ID = 'workbench.action.url.openUrl';
OpenUrlAction.LABEL = nls_1.localize('openUrl', 'Open URL');
OpenUrlAction = __decorate([
    __param(2, url_1.IURLService),
    __param(3, quickInput_1.IQuickInputService)
], OpenUrlAction);
exports.OpenUrlAction = OpenUrlAction;
platform_1.Registry.as(actions_3.Extensions.WorkbenchActions).registerWorkbenchAction(new actions_2.SyncActionDescriptor(OpenUrlAction, OpenUrlAction.ID, OpenUrlAction.LABEL), 'Open URL', nls_1.localize('developer', 'Developer'));
/**
 * Trusted Domains Contribution
 */
commands_1.CommandsRegistry.registerCommand(trustedDomains_1.manageTrustedDomainSettingsCommand);
actions_2.MenuRegistry.appendMenuItem(0 /* CommandPalette */, {
    command: {
        id: trustedDomains_1.manageTrustedDomainSettingsCommand.id,
        title: trustedDomains_1.manageTrustedDomainSettingsCommand.description.description
    }
});
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(trustedDomainsValidator_1.OpenerValidatorContributions, 3 /* Restored */);
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(trustedDomainsFileSystemProvider_1.TrustedDomainsFileSystemProvider, 2 /* Ready */);
platform_1.Registry.as(contributions_1.Extensions.Workbench).registerWorkbenchContribution(externalUriResolver_1.ExternalUriResolverContribution, 2 /* Ready */);
//# sourceMappingURL=url.contribution.js.map