"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const nls_1 = require("vs/nls");
const walkThroughInput_1 = require("vs/workbench/contrib/welcome/walkThrough/browser/walkThroughInput");
const walkThroughPart_1 = require("vs/workbench/contrib/welcome/walkThrough/browser/walkThroughPart");
const walkThroughActions_1 = require("vs/workbench/contrib/welcome/walkThrough/browser/walkThroughActions");
const walkThroughContentProvider_1 = require("vs/workbench/contrib/welcome/walkThrough/common/walkThroughContentProvider");
const editorWalkThrough_1 = require("vs/workbench/contrib/welcome/walkThrough/browser/editor/editorWalkThrough");
const platform_1 = require("vs/platform/registry/common/platform");
const editor_1 = require("vs/workbench/common/editor");
const descriptors_1 = require("vs/platform/instantiation/common/descriptors");
const actions_1 = require("vs/workbench/common/actions");
const actions_2 = require("vs/platform/actions/common/actions");
const contributions_1 = require("vs/workbench/common/contributions");
const editor_2 = require("vs/workbench/browser/editor");
const keybindingsRegistry_1 = require("vs/platform/keybinding/common/keybindingsRegistry");
platform_1.Registry.as(editor_2.Extensions.Editors)
    .registerEditor(new editor_2.EditorDescriptor(walkThroughPart_1.WalkThroughPart, walkThroughPart_1.WalkThroughPart.ID, nls_1.localize('walkThrough.editor.label', "Interactive Playground")), [new descriptors_1.SyncDescriptor(walkThroughInput_1.WalkThroughInput)]);
platform_1.Registry.as(actions_1.Extensions.WorkbenchActions)
    .registerWorkbenchAction(new actions_2.SyncActionDescriptor(editorWalkThrough_1.EditorWalkThroughAction, editorWalkThrough_1.EditorWalkThroughAction.ID, editorWalkThrough_1.EditorWalkThroughAction.LABEL), 'Help: Interactive Playground', nls_1.localize('help', "Help"));
platform_1.Registry.as(editor_1.Extensions.EditorInputFactories).registerEditorInputFactory(editorWalkThrough_1.EditorWalkThroughInputFactory.ID, editorWalkThrough_1.EditorWalkThroughInputFactory);
platform_1.Registry.as(contributions_1.Extensions.Workbench)
    .registerWorkbenchContribution(walkThroughContentProvider_1.WalkThroughContentProvider, 1 /* Starting */);
platform_1.Registry.as(contributions_1.Extensions.Workbench)
    .registerWorkbenchContribution(walkThroughContentProvider_1.WalkThroughSnippetContentProvider, 1 /* Starting */);
keybindingsRegistry_1.KeybindingsRegistry.registerCommandAndKeybindingRule(walkThroughActions_1.WalkThroughArrowUp);
keybindingsRegistry_1.KeybindingsRegistry.registerCommandAndKeybindingRule(walkThroughActions_1.WalkThroughArrowDown);
keybindingsRegistry_1.KeybindingsRegistry.registerCommandAndKeybindingRule(walkThroughActions_1.WalkThroughPageUp);
keybindingsRegistry_1.KeybindingsRegistry.registerCommandAndKeybindingRule(walkThroughActions_1.WalkThroughPageDown);
actions_2.MenuRegistry.appendMenuItem(17 /* MenubarHelpMenu */, {
    group: '1_welcome',
    command: {
        id: 'workbench.action.showInteractivePlayground',
        title: nls_1.localize({ key: 'miInteractivePlayground', comment: ['&& denotes a mnemonic'] }, "I&&nteractive Playground")
    },
    order: 2
});
//# sourceMappingURL=walkThrough.contribution.js.map