"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const backupFileService_1 = require("vs/workbench/services/backup/common/backupFileService");
const network_1 = require("vs/base/common/network");
const crypto = require("crypto");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const backup_1 = require("vs/workbench/services/backup/common/backup");
class BackupFileService extends backupFileService_1.BackupFileService {
    hashPath(resource) {
        return hashPath(resource);
    }
}
exports.BackupFileService = BackupFileService;
/*
 * Exported only for testing
 */
function hashPath(resource) {
    const str = resource.scheme === network_1.Schemas.file || resource.scheme === network_1.Schemas.untitled ? resource.fsPath : resource.toString();
    return crypto.createHash('md5').update(str).digest('hex');
}
exports.hashPath = hashPath;
extensions_1.registerSingleton(backup_1.IBackupFileService, BackupFileService);
//# sourceMappingURL=backupFileService.js.map