"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const uuid_1 = require("vs/base/common/uuid");
const extensionManagement_1 = require("vs/platform/extensionManagement/common/extensionManagement");
const uri_1 = require("vs/base/common/uri");
const extensionManagementService_1 = require("vs/workbench/services/extensionManagement/common/extensionManagementService");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const network_1 = require("vs/base/common/network");
const path = require("vs/base/common/path");
class ExtensionManagementService extends extensionManagementService_1.ExtensionManagementService {
    installVSIX(vsix, server) {
        return __awaiter(this, void 0, void 0, function* () {
            if (vsix.scheme === network_1.Schemas.vscodeRemote && server === this.extensionManagementServerService.localExtensionManagementServer) {
                const downloadedLocation = uri_1.URI.file(path.join(os_1.tmpdir(), uuid_1.generateUuid()));
                yield this.downloadService.download(vsix, downloadedLocation);
                vsix = downloadedLocation;
            }
            return server.extensionManagementService.install(vsix);
        });
    }
}
exports.ExtensionManagementService = ExtensionManagementService;
extensions_1.registerSingleton(extensionManagement_1.IExtensionManagementService, ExtensionManagementService);
//# sourceMappingURL=extensionManagementService.js.map