"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const host_1 = require("vs/workbench/services/host/browser/host");
const electron_1 = require("vs/platform/electron/node/electron");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
let DesktopHostService = class DesktopHostService {
    constructor(electronService) {
        this.electronService = electronService;
    }
    //#region Window
    get windowCount() { return this.electronService.windowCount(); }
    openEmptyWindow(options) {
        return this.electronService.openEmptyWindow(options);
    }
    toggleFullScreen() {
        return this.electronService.toggleFullScreen();
    }
    //#endregion
    restart() {
        return this.electronService.relaunch();
    }
    reload() {
        return this.electronService.reload();
    }
};
DesktopHostService = __decorate([
    __param(0, electron_1.IElectronService)
], DesktopHostService);
exports.DesktopHostService = DesktopHostService;
extensions_1.registerSingleton(host_1.IHostService, DesktopHostService, true);
//# sourceMappingURL=desktopHostService.js.map