"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const environment_1 = require("vs/platform/environment/common/environment");
const remoteAuthorityResolver_1 = require("vs/platform/remote/common/remoteAuthorityResolver");
const product_1 = require("vs/platform/product/common/product");
const nodeSocketFactory_1 = require("vs/platform/remote/node/nodeSocketFactory");
const abstractRemoteAgentService_1 = require("vs/workbench/services/remote/common/abstractRemoteAgentService");
const sign_1 = require("vs/platform/sign/common/sign");
const log_1 = require("vs/platform/log/common/log");
let RemoteAgentService = class RemoteAgentService extends abstractRemoteAgentService_1.AbstractRemoteAgentService {
    constructor({ remoteAuthority }, environmentService, remoteAuthorityResolverService, signService, logService) {
        super(environmentService);
        this._connection = null;
        this.socketFactory = nodeSocketFactory_1.nodeSocketFactory;
        if (remoteAuthority) {
            this._connection = this._register(new abstractRemoteAgentService_1.RemoteAgentConnection(remoteAuthority, product_1.default.commit, nodeSocketFactory_1.nodeSocketFactory, remoteAuthorityResolverService, signService, logService));
        }
    }
    getConnection() {
        return this._connection;
    }
};
RemoteAgentService = __decorate([
    __param(1, environment_1.IEnvironmentService),
    __param(2, remoteAuthorityResolver_1.IRemoteAuthorityResolverService),
    __param(3, sign_1.ISignService),
    __param(4, log_1.ILogService)
], RemoteAgentService);
exports.RemoteAgentService = RemoteAgentService;
//# sourceMappingURL=remoteAgentServiceImpl.js.map