"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const editor_1 = require("vs/workbench/common/editor");
suite('Workbench editor options', () => {
    test('EditorOptions', () => {
        let options = new editor_1.EditorOptions();
        assert(!options.preserveFocus);
        options.preserveFocus = true;
        assert(options.preserveFocus);
        assert(!options.forceReload);
        options.forceReload = true;
        assert(options.forceReload);
        options = new editor_1.EditorOptions();
        options.forceReload = true;
    });
    test('TextEditorOptions', () => {
        let options = new editor_1.TextEditorOptions();
        let otherOptions = new editor_1.TextEditorOptions();
        assert(!options.hasOptionsDefined());
        options.selection(1, 1, 2, 2);
        assert(options.hasOptionsDefined());
        otherOptions.selection(1, 1, 2, 2);
        options = new editor_1.TextEditorOptions();
        options.forceReload = true;
        options.selection(1, 1, 2, 2);
    });
});
//# sourceMappingURL=editorOptions.test.js.map