"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const uri_1 = require("vs/base/common/uri");
const resources_1 = require("vs/base/common/resources");
const platform_1 = require("vs/base/common/platform");
suite('ExtHost API', function () {
    test('issue #51387: originalFSPath', function () {
        if (platform_1.isWindows) {
            assert.equal(resources_1.originalFSPath(uri_1.URI.file('C:\\test')).charAt(0), 'C');
            assert.equal(resources_1.originalFSPath(uri_1.URI.file('c:\\test')).charAt(0), 'c');
            assert.equal(resources_1.originalFSPath(uri_1.URI.revive(JSON.parse(JSON.stringify(uri_1.URI.file('C:\\test'))))).charAt(0), 'C');
            assert.equal(resources_1.originalFSPath(uri_1.URI.revive(JSON.parse(JSON.stringify(uri_1.URI.file('c:\\test'))))).charAt(0), 'c');
        }
    });
});
//# sourceMappingURL=extHost.api.impl.test.js.map