"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
require("vs/workbench/contrib/files/browser/files.contribution"); // load our contribution into the test
const fileEditorInput_1 = require("vs/workbench/contrib/files/common/editors/fileEditorInput");
const instantiationServiceMock_1 = require("vs/platform/instantiation/test/common/instantiationServiceMock");
const path_1 = require("vs/base/common/path");
const resources = require("vs/base/common/resources");
const uri_1 = require("vs/base/common/uri");
const telemetry_1 = require("vs/platform/telemetry/common/telemetry");
const telemetryUtils_1 = require("vs/platform/telemetry/common/telemetryUtils");
const event_1 = require("vs/base/common/event");
const backup_1 = require("vs/workbench/services/backup/common/backup");
const configuration_1 = require("vs/platform/configuration/common/configuration");
const layoutService_1 = require("vs/workbench/services/layout/browser/layoutService");
const textModelResolverService_1 = require("vs/workbench/services/textmodelResolver/common/textModelResolverService");
const resolverService_1 = require("vs/editor/common/services/resolverService");
const untitledEditorService_1 = require("vs/workbench/services/untitled/common/untitledEditorService");
const workspace_1 = require("vs/platform/workspace/common/workspace");
const lifecycle_1 = require("vs/platform/lifecycle/common/lifecycle");
const serviceCollection_1 = require("vs/platform/instantiation/common/serviceCollection");
const files_1 = require("vs/platform/files/common/files");
const modelService_1 = require("vs/editor/common/services/modelService");
const modeServiceImpl_1 = require("vs/editor/common/services/modeServiceImpl");
const modelServiceImpl_1 = require("vs/editor/common/services/modelServiceImpl");
const textfiles_1 = require("vs/workbench/services/textfile/common/textfiles");
const argv_1 = require("vs/platform/environment/node/argv");
const modeService_1 = require("vs/editor/common/services/modeService");
const history_1 = require("vs/workbench/services/history/common/history");
const instantiation_1 = require("vs/platform/instantiation/common/instantiation");
const testConfigurationService_1 = require("vs/platform/configuration/test/common/testConfigurationService");
const windows_1 = require("vs/platform/windows/common/windows");
const testWorkspace_1 = require("vs/platform/workspace/test/common/testWorkspace");
const textModel_1 = require("vs/editor/common/model/textModel");
const environment_1 = require("vs/platform/environment/common/environment");
const themeService_1 = require("vs/platform/theme/common/themeService");
const testThemeService_1 = require("vs/platform/theme/test/common/testThemeService");
const workspaces_1 = require("vs/platform/workspaces/common/workspaces");
const resourceConfiguration_1 = require("vs/editor/common/services/resourceConfiguration");
const position_1 = require("vs/editor/common/core/position");
const actions_1 = require("vs/platform/actions/common/actions");
const contextkey_1 = require("vs/platform/contextkey/common/contextkey");
const mockKeybindingService_1 = require("vs/platform/keybinding/test/common/mockKeybindingService");
const range_1 = require("vs/editor/common/core/range");
const dialogs_1 = require("vs/platform/dialogs/common/dialogs");
const notification_1 = require("vs/platform/notification/common/notification");
const testNotificationService_1 = require("vs/platform/notification/test/common/testNotificationService");
const extensions_1 = require("vs/workbench/services/extensions/common/extensions");
const keybinding_1 = require("vs/platform/keybinding/common/keybinding");
const decorations_1 = require("vs/workbench/services/decorations/browser/decorations");
const lifecycle_2 = require("vs/base/common/lifecycle");
const editorGroupsService_1 = require("vs/workbench/services/editor/common/editorGroupsService");
const editorService_1 = require("vs/workbench/services/editor/common/editorService");
const codeEditorService_1 = require("vs/editor/browser/services/codeEditorService");
const dom_1 = require("vs/base/browser/dom");
const log_1 = require("vs/platform/log/common/log");
const label_1 = require("vs/platform/label/common/label");
const async_1 = require("vs/base/common/async");
const viewlet_1 = require("vs/workbench/services/viewlet/browser/viewlet");
const storage_1 = require("vs/platform/storage/common/storage");
const platform_1 = require("vs/base/common/platform");
const labelService_1 = require("vs/workbench/services/label/common/labelService");
const environmentService_1 = require("vs/workbench/services/environment/common/environmentService");
const environmentService_2 = require("vs/workbench/services/environment/node/environmentService");
const buffer_1 = require("vs/base/common/buffer");
const nativeTextFileService_1 = require("vs/workbench/services/textfile/electron-browser/nativeTextFileService");
const network_1 = require("vs/base/common/network");
const product_1 = require("vs/platform/product/common/product");
const host_1 = require("vs/workbench/services/host/browser/host");
function createFileInput(instantiationService, resource) {
    return instantiationService.createInstance(fileEditorInput_1.FileEditorInput, resource, undefined, undefined);
}
exports.createFileInput = createFileInput;
exports.TestEnvironmentService = new environmentService_2.WorkbenchEnvironmentService(argv_1.parseArgs(process.argv, argv_1.OPTIONS), process.execPath);
class TestContextService {
    constructor(workspace = testWorkspace_1.TestWorkspace, options = null) {
        this.workspace = workspace;
        this.options = options || Object.create(null);
        this._onDidChangeWorkspaceName = new event_1.Emitter();
        this._onDidChangeWorkspaceFolders = new event_1.Emitter();
        this._onDidChangeWorkbenchState = new event_1.Emitter();
    }
    get onDidChangeWorkspaceName() {
        return this._onDidChangeWorkspaceName.event;
    }
    get onDidChangeWorkspaceFolders() {
        return this._onDidChangeWorkspaceFolders.event;
    }
    get onDidChangeWorkbenchState() {
        return this._onDidChangeWorkbenchState.event;
    }
    getFolders() {
        return this.workspace ? this.workspace.folders : [];
    }
    getWorkbenchState() {
        if (this.workspace.configuration) {
            return 3 /* WORKSPACE */;
        }
        if (this.workspace.folders.length) {
            return 2 /* FOLDER */;
        }
        return 1 /* EMPTY */;
    }
    getCompleteWorkspace() {
        return Promise.resolve(this.getWorkspace());
    }
    getWorkspace() {
        return this.workspace;
    }
    getWorkspaceFolder(resource) {
        return this.workspace.getFolder(resource);
    }
    setWorkspace(workspace) {
        this.workspace = workspace;
    }
    getOptions() {
        return this.options;
    }
    updateOptions() {
    }
    isInsideWorkspace(resource) {
        if (resource && this.workspace) {
            return resources.isEqualOrParent(resource, this.workspace.folders[0].uri);
        }
        return false;
    }
    toResource(workspaceRelativePath) {
        return uri_1.URI.file(path_1.join('C:\\', workspaceRelativePath));
    }
    isCurrentWorkspace(workspaceIdentifier) {
        return workspaces_1.isSingleFolderWorkspaceIdentifier(workspaceIdentifier) && resources.isEqual(this.workspace.folders[0].uri, workspaceIdentifier);
    }
}
exports.TestContextService = TestContextService;
let TestTextFileService = class TestTextFileService extends nativeTextFileService_1.NativeTextFileService {
    constructor(contextService, fileService, untitledEditorService, lifecycleService, instantiationService, configurationService, modeService, modelService, environmentService, notificationService, backupFileService, hostService, historyService, contextKeyService, dialogService, fileDialogService, editorService, textResourceConfigurationService) {
        super(contextService, fileService, untitledEditorService, lifecycleService, instantiationService, configurationService, modeService, modelService, environmentService, notificationService, backupFileService, hostService, historyService, contextKeyService, dialogService, fileDialogService, editorService, textResourceConfigurationService);
        this.fileService = fileService;
    }
    setPromptPath(path) {
        this.promptPath = path;
    }
    setConfirmResult(result) {
        this.confirmResult = result;
    }
    setResolveTextContentErrorOnce(error) {
        this.resolveTextContentError = error;
    }
    readStream(resource, options) {
        if (this.resolveTextContentError) {
            const error = this.resolveTextContentError;
            this.resolveTextContentError = null;
            return Promise.reject(error);
        }
        return this.fileService.readFileStream(resource, options).then((content) => __awaiter(this, void 0, void 0, function* () {
            return {
                resource: content.resource,
                name: content.name,
                mtime: content.mtime,
                etag: content.etag,
                encoding: 'utf8',
                value: yield textModel_1.createTextBufferFactoryFromStream(content.value),
                size: 10
            };
        }));
    }
    promptForPath(_resource, _defaultPath) {
        return Promise.resolve(this.promptPath);
    }
    confirmSave(_resources) {
        return Promise.resolve(this.confirmResult);
    }
    confirmOverwrite(_resource) {
        return Promise.resolve(true);
    }
    onFilesConfigurationChange(configuration) {
        super.onFilesConfigurationChange(configuration);
    }
    cleanupBackupsBeforeShutdown() {
        this.cleanupBackupsBeforeShutdownCalled = true;
        return Promise.resolve();
    }
};
TestTextFileService = __decorate([
    __param(0, workspace_1.IWorkspaceContextService),
    __param(1, files_1.IFileService),
    __param(2, untitledEditorService_1.IUntitledEditorService),
    __param(3, lifecycle_1.ILifecycleService),
    __param(4, instantiation_1.IInstantiationService),
    __param(5, configuration_1.IConfigurationService),
    __param(6, modeService_1.IModeService),
    __param(7, modelService_1.IModelService),
    __param(8, environmentService_1.IWorkbenchEnvironmentService),
    __param(9, notification_1.INotificationService),
    __param(10, backup_1.IBackupFileService),
    __param(11, host_1.IHostService),
    __param(12, history_1.IHistoryService),
    __param(13, contextkey_1.IContextKeyService),
    __param(14, dialogs_1.IDialogService),
    __param(15, dialogs_1.IFileDialogService),
    __param(16, editorService_1.IEditorService),
    __param(17, resourceConfiguration_1.ITextResourceConfigurationService)
], TestTextFileService);
exports.TestTextFileService = TestTextFileService;
function workbenchInstantiationService() {
    let instantiationService = new instantiationServiceMock_1.TestInstantiationService(new serviceCollection_1.ServiceCollection([lifecycle_1.ILifecycleService, new TestLifecycleService()]));
    instantiationService.stub(environment_1.IEnvironmentService, exports.TestEnvironmentService);
    instantiationService.stub(contextkey_1.IContextKeyService, instantiationService.createInstance(mockKeybindingService_1.MockContextKeyService));
    const workspaceContextService = new TestContextService(testWorkspace_1.TestWorkspace);
    instantiationService.stub(workspace_1.IWorkspaceContextService, workspaceContextService);
    const configService = new testConfigurationService_1.TestConfigurationService();
    instantiationService.stub(configuration_1.IConfigurationService, configService);
    instantiationService.stub(resourceConfiguration_1.ITextResourceConfigurationService, new TestTextResourceConfigurationService(configService));
    instantiationService.stub(untitledEditorService_1.IUntitledEditorService, instantiationService.createInstance(untitledEditorService_1.UntitledEditorService));
    instantiationService.stub(storage_1.IStorageService, new TestStorageService());
    instantiationService.stub(layoutService_1.IWorkbenchLayoutService, new TestLayoutService());
    instantiationService.stub(modeService_1.IModeService, instantiationService.createInstance(modeServiceImpl_1.ModeServiceImpl));
    instantiationService.stub(history_1.IHistoryService, new TestHistoryService());
    instantiationService.stub(resourceConfiguration_1.ITextResourcePropertiesService, new TestTextResourcePropertiesService(configService));
    instantiationService.stub(modelService_1.IModelService, instantiationService.createInstance(modelServiceImpl_1.ModelServiceImpl));
    instantiationService.stub(files_1.IFileService, new TestFileService());
    instantiationService.stub(backup_1.IBackupFileService, new TestBackupFileService());
    instantiationService.stub(telemetry_1.ITelemetryService, telemetryUtils_1.NullTelemetryService);
    instantiationService.stub(notification_1.INotificationService, new testNotificationService_1.TestNotificationService());
    instantiationService.stub(untitledEditorService_1.IUntitledEditorService, instantiationService.createInstance(untitledEditorService_1.UntitledEditorService));
    instantiationService.stub(windows_1.IWindowService, new TestWindowService());
    instantiationService.stub(actions_1.IMenuService, new TestMenuService());
    instantiationService.stub(keybinding_1.IKeybindingService, new mockKeybindingService_1.MockKeybindingService());
    instantiationService.stub(decorations_1.IDecorationsService, new TestDecorationsService());
    instantiationService.stub(extensions_1.IExtensionService, new TestExtensionService());
    instantiationService.stub(windows_1.IWindowsService, new TestWindowsService());
    instantiationService.stub(host_1.IHostService, instantiationService.createInstance(TestHostService));
    instantiationService.stub(textfiles_1.ITextFileService, instantiationService.createInstance(TestTextFileService));
    instantiationService.stub(resolverService_1.ITextModelService, instantiationService.createInstance(textModelResolverService_1.TextModelResolverService));
    instantiationService.stub(themeService_1.IThemeService, new testThemeService_1.TestThemeService());
    instantiationService.stub(log_1.ILogService, new log_1.NullLogService());
    instantiationService.stub(editorGroupsService_1.IEditorGroupsService, new TestEditorGroupsService([new TestEditorGroup(0)]));
    instantiationService.stub(label_1.ILabelService, instantiationService.createInstance(labelService_1.LabelService));
    const editorService = new TestEditorService();
    instantiationService.stub(editorService_1.IEditorService, editorService);
    instantiationService.stub(codeEditorService_1.ICodeEditorService, new TestCodeEditorService());
    instantiationService.stub(viewlet_1.IViewletService, new TestViewletService());
    return instantiationService;
}
exports.workbenchInstantiationService = workbenchInstantiationService;
class TestDecorationsService {
    constructor() {
        this.onDidChangeDecorations = event_1.Event.None;
    }
    registerDecorationsProvider(_provider) { return lifecycle_2.Disposable.None; }
    getDecoration(_uri, _includeChildren, _overwrite) { return undefined; }
}
exports.TestDecorationsService = TestDecorationsService;
class TestExtensionService extends extensions_1.NullExtensionService {
}
exports.TestExtensionService = TestExtensionService;
class TestMenuService {
    createMenu(_id, _scopedKeybindingService) {
        return {
            onDidChange: event_1.Event.None,
            dispose: () => undefined,
            getActions: () => []
        };
    }
}
exports.TestMenuService = TestMenuService;
class TestHistoryService {
    constructor(root) {
        this.root = root;
    }
    reopenLastClosedEditor() {
    }
    forward(_acrossEditors) {
    }
    back(_acrossEditors) {
    }
    last() {
    }
    remove(_input) {
    }
    clear() {
    }
    clearRecentlyOpened() {
    }
    getHistory() {
        return [];
    }
    getLastActiveWorkspaceRoot(_schemeFilter) {
        return this.root;
    }
    getLastActiveFile(_schemeFilter) {
        return undefined;
    }
    openLastEditLocation() {
    }
}
exports.TestHistoryService = TestHistoryService;
class TestDialogService {
    confirm(_confirmation) {
        return Promise.resolve({ confirmed: false });
    }
    show(_severity, _message, _buttons, _options) {
        return Promise.resolve({ choice: 0 });
    }
    about() {
        return Promise.resolve();
    }
}
exports.TestDialogService = TestDialogService;
class TestFileDialogService {
    defaultFilePath(_schemeFilter) {
        return undefined;
    }
    defaultFolderPath(_schemeFilter) {
        return undefined;
    }
    defaultWorkspacePath(_schemeFilter) {
        return undefined;
    }
    pickFileFolderAndOpen(_options) {
        return Promise.resolve(0);
    }
    pickFileAndOpen(_options) {
        return Promise.resolve(0);
    }
    pickFolderAndOpen(_options) {
        return Promise.resolve(0);
    }
    pickWorkspaceAndOpen(_options) {
        return Promise.resolve(0);
    }
    pickFileToSave(_options) {
        return Promise.resolve(undefined);
    }
    showSaveDialog(_options) {
        return Promise.resolve(undefined);
    }
    showOpenDialog(_options) {
        return Promise.resolve(undefined);
    }
}
exports.TestFileDialogService = TestFileDialogService;
class TestLayoutService {
    constructor() {
        this.dimension = { width: 800, height: 600 };
        this.container = window.document.body;
        this.onZenModeChange = event_1.Event.None;
        this.onCenteredLayoutChange = event_1.Event.None;
        this.onFullscreenChange = event_1.Event.None;
        this.onPanelPositionChange = event_1.Event.None;
        this.onLayout = event_1.Event.None;
        this._onTitleBarVisibilityChange = new event_1.Emitter();
        this._onMenubarVisibilityChange = new event_1.Emitter();
    }
    get onTitleBarVisibilityChange() {
        return this._onTitleBarVisibilityChange.event;
    }
    get onMenubarVisibilityChange() {
        return this._onMenubarVisibilityChange.event;
    }
    isRestored() {
        return true;
    }
    hasFocus(_part) {
        return false;
    }
    isVisible(_part) {
        return true;
    }
    getDimension(_part) {
        return new dom_1.Dimension(0, 0);
    }
    getContainer(_part) {
        return null;
    }
    isTitleBarHidden() {
        return false;
    }
    getTitleBarOffset() {
        return 0;
    }
    isStatusBarHidden() {
        return false;
    }
    isActivityBarHidden() {
        return false;
    }
    setActivityBarHidden(_hidden) { }
    isSideBarHidden() {
        return false;
    }
    setEditorHidden(_hidden) { return Promise.resolve(); }
    setSideBarHidden(_hidden) { return Promise.resolve(); }
    isPanelHidden() {
        return false;
    }
    setPanelHidden(_hidden) { return Promise.resolve(); }
    toggleMaximizedPanel() { }
    isPanelMaximized() {
        return false;
    }
    getMenubarVisibility() {
        throw new Error('not implemented');
    }
    getSideBarPosition() {
        return 0;
    }
    getPanelPosition() {
        return 0;
    }
    setPanelPosition(_position) {
        return Promise.resolve();
    }
    addClass(_clazz) { }
    removeClass(_clazz) { }
    getMaximumEditorDimensions() { throw new Error('not implemented'); }
    getWorkbenchContainer() { throw new Error('not implemented'); }
    getWorkbenchElement() { throw new Error('not implemented'); }
    toggleZenMode() { }
    isEditorLayoutCentered() { return false; }
    centerEditorLayout(_active) { }
    resizePart(_part, _sizeChange) { }
    registerPart(part) { }
}
exports.TestLayoutService = TestLayoutService;
let activeViewlet = {};
class TestViewletService {
    constructor() {
        this.onDidViewletRegisterEmitter = new event_1.Emitter();
        this.onDidViewletDeregisterEmitter = new event_1.Emitter();
        this.onDidViewletOpenEmitter = new event_1.Emitter();
        this.onDidViewletCloseEmitter = new event_1.Emitter();
        this.onDidViewletRegister = this.onDidViewletRegisterEmitter.event;
        this.onDidViewletDeregister = this.onDidViewletDeregisterEmitter.event;
        this.onDidViewletOpen = this.onDidViewletOpenEmitter.event;
        this.onDidViewletClose = this.onDidViewletCloseEmitter.event;
    }
    openViewlet(id, focus) {
        return Promise.resolve(null);
    }
    getViewlets() {
        return [];
    }
    getAllViewlets() {
        return [];
    }
    getActiveViewlet() {
        return activeViewlet;
    }
    dispose() {
    }
    getDefaultViewletId() {
        return 'workbench.view.explorer';
    }
    getViewlet(id) {
        return undefined;
    }
    getProgressIndicator(id) {
        return null;
    }
    hideActiveViewlet() { }
    getLastActiveViewletId() {
        return undefined;
    }
}
exports.TestViewletService = TestViewletService;
class TestPanelService {
    constructor() {
        this.onDidPanelOpen = new event_1.Emitter().event;
        this.onDidPanelClose = new event_1.Emitter().event;
    }
    openPanel(id, focus) {
        return null;
    }
    getPanel(id) {
        return activeViewlet;
    }
    getPanels() {
        return [];
    }
    getPinnedPanels() {
        return [];
    }
    getActivePanel() {
        return activeViewlet;
    }
    setPanelEnablement(id, enabled) { }
    dispose() {
    }
    showActivity(panelId, badge, clazz) {
        throw new Error('Method not implemented.');
    }
    getProgressIndicator(id) {
        return null;
    }
    hideActivePanel() { }
    getLastActivePanelId() {
        return undefined;
    }
}
exports.TestPanelService = TestPanelService;
class TestStorageService extends storage_1.InMemoryStorageService {
}
exports.TestStorageService = TestStorageService;
class TestEditorGroupsService {
    constructor(groups = []) {
        this.groups = groups;
        this.onDidActiveGroupChange = event_1.Event.None;
        this.onDidActivateGroup = event_1.Event.None;
        this.onDidAddGroup = event_1.Event.None;
        this.onDidRemoveGroup = event_1.Event.None;
        this.onDidMoveGroup = event_1.Event.None;
        this.onDidGroupIndexChange = event_1.Event.None;
        this.onDidLayout = event_1.Event.None;
        this.whenRestored = Promise.resolve(undefined);
        this.willRestoreEditors = false;
        this.contentDimension = { width: 800, height: 600 };
    }
    get activeGroup() {
        return this.groups[0];
    }
    get count() {
        return this.groups.length;
    }
    getGroups(_order) {
        return this.groups;
    }
    getGroup(identifier) {
        for (const group of this.groups) {
            if (group.id === identifier) {
                return group;
            }
        }
        return undefined;
    }
    getLabel(_identifier) {
        return 'Group 1';
    }
    findGroup(_scope, _source, _wrap) {
        throw new Error('not implemented');
    }
    activateGroup(_group) {
        throw new Error('not implemented');
    }
    restoreGroup(_group) {
        throw new Error('not implemented');
    }
    getSize(_group) {
        return { width: 100, height: 100 };
    }
    setSize(_group, _size) { }
    arrangeGroups(_arrangement) { }
    applyLayout(_layout) { }
    setGroupOrientation(_orientation) { }
    addGroup(_location, _direction, _options) {
        throw new Error('not implemented');
    }
    removeGroup(_group) { }
    moveGroup(_group, _location, _direction) {
        throw new Error('not implemented');
    }
    mergeGroup(_group, _target, _options) {
        throw new Error('not implemented');
    }
    copyGroup(_group, _location, _direction) {
        throw new Error('not implemented');
    }
    centerLayout(active) { }
    isLayoutCentered() {
        return false;
    }
    enforcePartOptions(options) {
        return lifecycle_2.Disposable.None;
    }
}
exports.TestEditorGroupsService = TestEditorGroupsService;
class TestEditorGroup {
    constructor(id) {
        this.id = id;
        this.editors = [];
        this.whenRestored = Promise.resolve(undefined);
        this.isEmpty = true;
        this.isMinimized = false;
        this.onWillDispose = event_1.Event.None;
        this.onDidGroupChange = event_1.Event.None;
        this.onWillCloseEditor = event_1.Event.None;
        this.onDidCloseEditor = event_1.Event.None;
        this.onWillOpenEditor = event_1.Event.None;
        this.onDidOpenEditorFail = event_1.Event.None;
        this.onDidFocus = event_1.Event.None;
        this.onDidChange = event_1.Event.None;
    }
    get group() { throw new Error('not implemented'); }
    getEditors(_order) {
        return [];
    }
    getEditor(_index) {
        throw new Error('not implemented');
    }
    getIndexOfEditor(_editor) {
        return -1;
    }
    openEditor(_editor, _options) {
        throw new Error('not implemented');
    }
    openEditors(_editors) {
        throw new Error('not implemented');
    }
    isOpened(_editor) {
        return false;
    }
    isPinned(_editor) {
        return false;
    }
    isActive(_editor) {
        return false;
    }
    moveEditor(_editor, _target, _options) { }
    copyEditor(_editor, _target, _options) { }
    closeEditor(_editor, options) {
        return Promise.resolve();
    }
    closeEditors(_editors, options) {
        return Promise.resolve();
    }
    closeAllEditors() {
        return Promise.resolve();
    }
    replaceEditors(_editors) {
        return Promise.resolve();
    }
    pinEditor(_editor) { }
    focus() { }
    invokeWithinContext(fn) {
        throw new Error('not implemented');
    }
    setActive(_isActive) { }
    notifyIndexChanged(_index) { }
    dispose() { }
    toJSON() { return Object.create(null); }
    layout(_width, _height) { }
    relayout() { }
}
exports.TestEditorGroup = TestEditorGroup;
class TestEditorService {
    constructor() {
        this.onDidActiveEditorChange = event_1.Event.None;
        this.onDidVisibleEditorsChange = event_1.Event.None;
        this.onDidCloseEditor = event_1.Event.None;
        this.onDidOpenEditorFail = event_1.Event.None;
        this.editors = [];
        this.visibleControls = [];
        this.visibleTextEditorWidgets = [];
        this.visibleEditors = [];
    }
    overrideOpenEditor(_handler) {
        return lifecycle_2.toDisposable(() => undefined);
    }
    openEditor(_editor, _options, _group) {
        throw new Error('not implemented');
    }
    openEditors(_editors, _group) {
        throw new Error('not implemented');
    }
    isOpen(_editor) {
        return false;
    }
    getOpened(_editor) {
        throw new Error('not implemented');
    }
    replaceEditors(_editors, _group) {
        return Promise.resolve(undefined);
    }
    invokeWithinEditorContext(fn) {
        throw new Error('not implemented');
    }
    createInput(_input) {
        throw new Error('not implemented');
    }
}
exports.TestEditorService = TestEditorService;
class TestFileService {
    constructor() {
        this.onWillActivateFileSystemProvider = event_1.Event.None;
        this.onError = event_1.Event.None;
        this.content = 'Hello Html';
        this.onDidChangeFileSystemProviderRegistrations = event_1.Event.None;
        this.providers = new Map();
        this._onFileChanges = new event_1.Emitter();
        this._onAfterOperation = new event_1.Emitter();
    }
    setContent(content) {
        this.content = content;
    }
    getContent() {
        return this.content;
    }
    getLastReadFileUri() {
        return this.lastReadFileUri;
    }
    get onFileChanges() {
        return this._onFileChanges.event;
    }
    fireFileChanges(event) {
        this._onFileChanges.fire(event);
    }
    get onAfterOperation() {
        return this._onAfterOperation.event;
    }
    fireAfterOperation(event) {
        this._onAfterOperation.fire(event);
    }
    resolve(resource, _options) {
        return Promise.resolve({
            resource,
            etag: Date.now().toString(),
            encoding: 'utf8',
            mtime: Date.now(),
            size: 42,
            isDirectory: false,
            name: resources.basename(resource)
        });
    }
    resolveAll(toResolve) {
        return Promise.all(toResolve.map(resourceAndOption => this.resolve(resourceAndOption.resource, resourceAndOption.options))).then(stats => stats.map(stat => ({ stat, success: true })));
    }
    exists(_resource) {
        return Promise.resolve(true);
    }
    readFile(resource, options) {
        this.lastReadFileUri = resource;
        return Promise.resolve({
            resource: resource,
            value: buffer_1.VSBuffer.fromString(this.content),
            etag: 'index.txt',
            encoding: 'utf8',
            mtime: Date.now(),
            name: resources.basename(resource),
            size: 1
        });
    }
    readFileStream(resource, options) {
        this.lastReadFileUri = resource;
        return Promise.resolve({
            resource: resource,
            value: {
                on: (event, callback) => {
                    if (event === 'data') {
                        callback(this.content);
                    }
                    if (event === 'end') {
                        callback();
                    }
                },
                resume: () => { },
                pause: () => { },
                destroy: () => { }
            },
            etag: 'index.txt',
            encoding: 'utf8',
            mtime: Date.now(),
            size: 1,
            name: resources.basename(resource)
        });
    }
    writeFile(resource, bufferOrReadable, options) {
        return async_1.timeout(0).then(() => ({
            resource,
            etag: 'index.txt',
            encoding: 'utf8',
            mtime: Date.now(),
            size: 42,
            isDirectory: false,
            name: resources.basename(resource)
        }));
    }
    move(_source, _target, _overwrite) {
        return Promise.resolve(null);
    }
    copy(_source, _target, _overwrite) {
        throw new Error('not implemented');
    }
    createFile(_resource, _content, _options) {
        throw new Error('not implemented');
    }
    createFolder(_resource) {
        throw new Error('not implemented');
    }
    registerProvider(scheme, provider) {
        this.providers.set(scheme, provider);
        return lifecycle_2.toDisposable(() => this.providers.delete(scheme));
    }
    activateProvider(_scheme) {
        throw new Error('not implemented');
    }
    canHandleResource(resource) {
        return resource.scheme === 'file' || this.providers.has(resource.scheme);
    }
    hasCapability(resource, capability) { return false; }
    del(_resource, _options) {
        return Promise.resolve();
    }
    watch(_resource) {
        return lifecycle_2.Disposable.None;
    }
    getWriteEncoding(_resource) {
        return { encoding: 'utf8', hasBOM: false };
    }
    dispose() {
    }
}
exports.TestFileService = TestFileService;
class TestBackupFileService {
    hasBackups() {
        return Promise.resolve(false);
    }
    hasBackup(_resource) {
        return Promise.resolve(false);
    }
    hasBackupSync(resource, versionId) {
        return false;
    }
    loadBackupResource(resource) {
        return this.hasBackup(resource).then(hasBackup => {
            if (hasBackup) {
                return this.toBackupResource(resource);
            }
            return undefined;
        });
    }
    registerResourceForBackup(_resource) {
        return Promise.resolve();
    }
    deregisterResourceForBackup(_resource) {
        return Promise.resolve();
    }
    toBackupResource(_resource) {
        throw new Error('not implemented');
    }
    backupResource(_resource, _content, versionId, meta) {
        return Promise.resolve();
    }
    getWorkspaceFileBackups() {
        return Promise.resolve([]);
    }
    parseBackupContent(textBufferFactory) {
        const textBuffer = textBufferFactory.create(1 /* LF */);
        const lineCount = textBuffer.getLineCount();
        const range = new range_1.Range(1, 1, lineCount, textBuffer.getLineLength(lineCount) + 1);
        return textBuffer.getValueInRange(range, 0 /* TextDefined */);
    }
    resolveBackupContent(_backup) {
        throw new Error('not implemented');
    }
    discardResourceBackup(_resource) {
        return Promise.resolve();
    }
    discardAllWorkspaceBackups() {
        return Promise.resolve();
    }
}
exports.TestBackupFileService = TestBackupFileService;
class TestCodeEditorService {
    constructor() {
        this.onCodeEditorAdd = event_1.Event.None;
        this.onCodeEditorRemove = event_1.Event.None;
        this.onDiffEditorAdd = event_1.Event.None;
        this.onDiffEditorRemove = event_1.Event.None;
        this.onDidChangeTransientModelProperty = event_1.Event.None;
    }
    addCodeEditor(_editor) { }
    removeCodeEditor(_editor) { }
    listCodeEditors() { return []; }
    addDiffEditor(_editor) { }
    removeDiffEditor(_editor) { }
    listDiffEditors() { return []; }
    getFocusedCodeEditor() { return undefined; }
    registerDecorationType(_key, _options, _parentTypeKey) { }
    removeDecorationType(_key) { }
    resolveDecorationOptions(_typeKey, _writable) { return Object.create(null); }
    setTransientModelProperty(_model, _key, _value) { }
    getTransientModelProperty(_model, _key) { }
    getActiveCodeEditor() { return undefined; }
    openCodeEditor(_input, _source, _sideBySide) { return Promise.resolve(undefined); }
}
exports.TestCodeEditorService = TestCodeEditorService;
class TestWindowService {
    constructor() {
        this.onDidChangeFocus = new event_1.Emitter().event;
        this.hasFocus = true;
        this.windowId = 0;
    }
    isFocused() {
        return Promise.resolve(false);
    }
    isMaximized() {
        return Promise.resolve(false);
    }
    closeWorkspace() {
        return Promise.resolve();
    }
    enterWorkspace(_path) {
        return Promise.resolve(undefined);
    }
    getRecentlyOpened() {
        return Promise.resolve({
            workspaces: [],
            files: []
        });
    }
    addRecentlyOpened(_recents) {
        return Promise.resolve();
    }
    removeFromRecentlyOpened(_paths) {
        return Promise.resolve();
    }
    focusWindow() {
        return Promise.resolve();
    }
    maximizeWindow() {
        return Promise.resolve();
    }
    unmaximizeWindow() {
        return Promise.resolve();
    }
    minimizeWindow() {
        return Promise.resolve();
    }
    openWindow(_uris, _options) {
        return Promise.resolve();
    }
    closeWindow() {
        return Promise.resolve();
    }
    onWindowTitleDoubleClick() {
        return Promise.resolve();
    }
    updateTouchBar(_items) {
        return Promise.resolve();
    }
}
exports.TestWindowService = TestWindowService;
class TestLifecycleService {
    constructor() {
        this._onBeforeShutdown = new event_1.Emitter();
        this._onWillShutdown = new event_1.Emitter();
        this._onShutdown = new event_1.Emitter();
    }
    when() {
        return Promise.resolve();
    }
    fireShutdown(reason = 2 /* QUIT */) {
        this._onWillShutdown.fire({
            join: () => { },
            reason
        });
    }
    fireWillShutdown(event) {
        this._onBeforeShutdown.fire(event);
    }
    get onBeforeShutdown() {
        return this._onBeforeShutdown.event;
    }
    get onWillShutdown() {
        return this._onWillShutdown.event;
    }
    get onShutdown() {
        return this._onShutdown.event;
    }
}
exports.TestLifecycleService = TestLifecycleService;
class TestWindowsService {
    constructor() {
        this.onWindowOpen = event_1.Event.None;
        this.onWindowFocus = event_1.Event.None;
        this.onWindowBlur = event_1.Event.None;
        this.onWindowMaximize = event_1.Event.None;
        this.onWindowUnmaximize = event_1.Event.None;
        this.onRecentlyOpenedChange = event_1.Event.None;
    }
    isFocused(_windowId) {
        return Promise.resolve(false);
    }
    closeWorkspace(_windowId) {
        return Promise.resolve();
    }
    enterWorkspace(_windowId, _path) {
        return Promise.resolve(undefined);
    }
    addRecentlyOpened(_recents) {
        return Promise.resolve();
    }
    removeFromRecentlyOpened(_paths) {
        return Promise.resolve();
    }
    clearRecentlyOpened() {
        return Promise.resolve();
    }
    getRecentlyOpened(_windowId) {
        return Promise.resolve({
            workspaces: [],
            files: []
        });
    }
    focusWindow(_windowId) {
        return Promise.resolve();
    }
    closeWindow(_windowId) {
        return Promise.resolve();
    }
    isMaximized(_windowId) {
        return Promise.resolve(false);
    }
    maximizeWindow(_windowId) {
        return Promise.resolve();
    }
    minimizeWindow(_windowId) {
        return Promise.resolve();
    }
    unmaximizeWindow(_windowId) {
        return Promise.resolve();
    }
    onWindowTitleDoubleClick(_windowId) {
        return Promise.resolve();
    }
    quit() {
        return Promise.resolve();
    }
    whenSharedProcessReady() {
        return Promise.resolve();
    }
    toggleSharedProcess() {
        return Promise.resolve();
    }
    // Global methods
    openWindow(_windowId, _uris, _options) {
        return Promise.resolve();
    }
    openExtensionDevelopmentHostWindow(args, env) {
        return Promise.resolve();
    }
    getWindows() {
        throw new Error('not implemented');
    }
    newWindowTab() {
        return Promise.resolve();
    }
    showPreviousWindowTab() {
        return Promise.resolve();
    }
    showNextWindowTab() {
        return Promise.resolve();
    }
    moveWindowTabToNewWindow() {
        return Promise.resolve();
    }
    mergeAllWindowTabs() {
        return Promise.resolve();
    }
    toggleWindowTabsBar() {
        return Promise.resolve();
    }
    updateTouchBar(_windowId, _items) {
        return Promise.resolve();
    }
    getActiveWindowId() {
        return Promise.resolve(undefined);
    }
    // This needs to be handled from browser process to prevent
    // foreground ordering issues on Windows
    openExternal(_url) {
        return Promise.resolve(true);
    }
    // TODO: this is a bit backwards
    startCrashReporter(_config) {
        return Promise.resolve();
    }
}
exports.TestWindowsService = TestWindowsService;
class TestTextResourceConfigurationService {
    constructor(configurationService = new testConfigurationService_1.TestConfigurationService()) {
        this.configurationService = configurationService;
    }
    onDidChangeConfiguration() {
        return { dispose() { } };
    }
    getValue(resource, arg2, arg3) {
        const position = position_1.Position.isIPosition(arg2) ? arg2 : null;
        const section = position ? (typeof arg3 === 'string' ? arg3 : undefined) : (typeof arg2 === 'string' ? arg2 : undefined);
        return this.configurationService.getValue(section, { resource });
    }
}
exports.TestTextResourceConfigurationService = TestTextResourceConfigurationService;
let TestTextResourcePropertiesService = class TestTextResourcePropertiesService {
    constructor(configurationService) {
        this.configurationService = configurationService;
    }
    getEOL(resource) {
        const filesConfiguration = this.configurationService.getValue('files');
        if (filesConfiguration && filesConfiguration.eol) {
            if (filesConfiguration.eol !== 'auto') {
                return filesConfiguration.eol;
            }
        }
        return (platform_1.isLinux || platform_1.isMacintosh) ? '\n' : '\r\n';
    }
};
TestTextResourcePropertiesService = __decorate([
    __param(0, configuration_1.IConfigurationService)
], TestTextResourcePropertiesService);
exports.TestTextResourcePropertiesService = TestTextResourcePropertiesService;
class TestSharedProcessService {
    getChannel(channelName) {
        return undefined;
    }
    registerChannel(channelName, channel) { }
}
exports.TestSharedProcessService = TestSharedProcessService;
class RemoteFileSystemProvider {
    constructor(diskFileSystemProvider, remoteAuthority) {
        this.diskFileSystemProvider = diskFileSystemProvider;
        this.remoteAuthority = remoteAuthority;
        this.capabilities = this.diskFileSystemProvider.capabilities;
        this.onDidChangeCapabilities = this.diskFileSystemProvider.onDidChangeCapabilities;
        this.onDidChangeFile = event_1.Event.map(this.diskFileSystemProvider.onDidChangeFile, changes => changes.map(c => { c.resource = c.resource.with({ scheme: network_1.Schemas.vscodeRemote, authority: this.remoteAuthority }); return c; }));
    }
    watch(resource, opts) { return this.diskFileSystemProvider.watch(this.toFileResource(resource), opts); }
    stat(resource) { return this.diskFileSystemProvider.stat(this.toFileResource(resource)); }
    mkdir(resource) { return this.diskFileSystemProvider.mkdir(this.toFileResource(resource)); }
    readdir(resource) { return this.diskFileSystemProvider.readdir(this.toFileResource(resource)); }
    delete(resource, opts) { return this.diskFileSystemProvider.delete(this.toFileResource(resource), opts); }
    rename(from, to, opts) { return this.diskFileSystemProvider.rename(this.toFileResource(from), this.toFileResource(to), opts); }
    copy(from, to, opts) { return this.diskFileSystemProvider.copy(this.toFileResource(from), this.toFileResource(to), opts); }
    readFile(resource) { return this.diskFileSystemProvider.readFile(this.toFileResource(resource)); }
    writeFile(resource, content, opts) { return this.diskFileSystemProvider.writeFile(this.toFileResource(resource), content, opts); }
    open(resource, opts) { return this.diskFileSystemProvider.open(this.toFileResource(resource), opts); }
    close(fd) { return this.diskFileSystemProvider.close(fd); }
    read(fd, pos, data, offset, length) { return this.diskFileSystemProvider.read(fd, pos, data, offset, length); }
    write(fd, pos, data, offset, length) { return this.diskFileSystemProvider.write(fd, pos, data, offset, length); }
    toFileResource(resource) { return resource.with({ scheme: network_1.Schemas.file, authority: '' }); }
}
exports.RemoteFileSystemProvider = RemoteFileSystemProvider;
exports.productService = Object.assign({ _serviceBrand: undefined }, product_1.default);
class TestHostService {
    constructor() {
        this.windowCount = Promise.resolve(1);
    }
    restart() { return Promise.resolve(); }
    reload() { return Promise.resolve(); }
    openEmptyWindow(options) { return Promise.resolve(); }
    toggleFullScreen() { return Promise.resolve(); }
}
exports.TestHostService = TestHostService;
//# sourceMappingURL=workbenchTestServices.js.map