"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
// #######################################################################
// ###                                                                 ###
// ### !!! PLEASE ADD COMMON IMPORTS INTO WORKBENCH.COMMON.MAIN.TS !!! ###
// ###                                                                 ###
// #######################################################################
//#region --- workbench common
require("vs/workbench/workbench.common.main");
//#endregion
//#region --- workbench (desktop main)
require("vs/workbench/electron-browser/desktop.contribution");
require("vs/workbench/electron-browser/desktop.main");
//#endregion
//#region --- workbench services
require("vs/workbench/services/integrity/node/integrityService");
require("vs/workbench/services/textMate/electron-browser/textMateService");
require("vs/workbench/services/search/node/searchService");
require("vs/workbench/services/output/node/outputChannelModelService");
require("vs/workbench/services/textfile/electron-browser/nativeTextFileService");
require("vs/workbench/services/dialogs/electron-browser/dialogService");
require("vs/workbench/services/keybinding/electron-browser/nativeKeymapService");
require("vs/workbench/services/keybinding/electron-browser/keybinding.contribution");
require("vs/workbench/services/extensions/electron-browser/extensionService");
require("vs/workbench/services/contextmenu/electron-browser/contextmenuService");
require("vs/workbench/services/extensionManagement/electron-browser/extensionManagementServerService");
require("vs/workbench/services/remote/electron-browser/remoteAgentServiceImpl");
require("vs/workbench/services/window/electron-browser/windowService");
require("vs/workbench/services/telemetry/electron-browser/telemetryService");
require("vs/workbench/services/configurationResolver/electron-browser/configurationResolverService");
require("vs/workbench/services/extensionManagement/node/extensionManagementService");
require("vs/workbench/services/accessibility/node/accessibilityService");
require("vs/workbench/services/remote/node/tunnelService");
require("vs/workbench/services/backup/node/backupFileService");
require("vs/workbench/services/credentials/node/credentialsService");
require("vs/workbench/services/url/electron-browser/urlService");
require("vs/workbench/services/workspace/electron-browser/workspacesService");
require("vs/workbench/services/userDataSync/electron-browser/userDataSyncService");
require("vs/workbench/services/host/electron-browser/desktopHostService");
require("vs/workbench/services/request/electron-browser/requestService");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const clipboardService_1 = require("vs/platform/clipboard/common/clipboardService");
const clipboardService_2 = require("vs/platform/clipboard/electron-browser/clipboardService");
const lifecycleService_1 = require("vs/platform/lifecycle/electron-browser/lifecycleService");
const lifecycle_1 = require("vs/platform/lifecycle/common/lifecycle");
const localizations_1 = require("vs/platform/localizations/common/localizations");
const localizationsService_1 = require("vs/platform/localizations/electron-browser/localizationsService");
const sharedProcessService_1 = require("vs/platform/ipc/electron-browser/sharedProcessService");
const windows_1 = require("vs/platform/windows/common/windows");
const windowsService_1 = require("vs/platform/windows/electron-browser/windowsService");
const update_1 = require("vs/platform/update/common/update");
const updateService_1 = require("vs/platform/update/electron-browser/updateService");
const issue_1 = require("vs/platform/issue/node/issue");
const issueService_1 = require("vs/platform/issue/electron-browser/issueService");
const menubar_1 = require("vs/platform/menubar/node/menubar");
const menubarService_1 = require("vs/platform/menubar/electron-browser/menubarService");
const electron_1 = require("vs/platform/electron/node/electron");
const electronService_1 = require("vs/platform/electron/electron-browser/electronService");
extensions_1.registerSingleton(clipboardService_1.IClipboardService, clipboardService_2.ClipboardService, true);
extensions_1.registerSingleton(lifecycle_1.ILifecycleService, lifecycleService_1.LifecycleService);
extensions_1.registerSingleton(localizations_1.ILocalizationsService, localizationsService_1.LocalizationsService);
extensions_1.registerSingleton(sharedProcessService_1.ISharedProcessService, sharedProcessService_1.SharedProcessService, true);
extensions_1.registerSingleton(windows_1.IWindowsService, windowsService_1.WindowsService);
extensions_1.registerSingleton(update_1.IUpdateService, updateService_1.UpdateService);
extensions_1.registerSingleton(issue_1.IIssueService, issueService_1.IssueService);
extensions_1.registerSingleton(menubar_1.IMenubarService, menubarService_1.MenubarService);
extensions_1.registerSingleton(electron_1.IElectronService, electronService_1.ElectronService, true);
//#endregion
//#region --- workbench contributions
// Localizations
require("vs/workbench/contrib/localizations/browser/localizations.contribution");
// Logs
require("vs/workbench/contrib/logs/electron-browser/logs.contribution");
// Stats
require("vs/workbench/contrib/stats/electron-browser/workspaceStatsService");
require("vs/workbench/contrib/stats/electron-browser/stats.contribution");
// Rapid Render Splash
require("vs/workbench/contrib/splash/electron-browser/partsSplash.contribution");
// Explorer
require("vs/workbench/contrib/files/electron-browser/files.contribution");
require("vs/workbench/contrib/files/electron-browser/fileActions.contribution");
// Debug
require("vs/workbench/contrib/debug/node/debugHelperService");
require("vs/workbench/contrib/debug/electron-browser/extensionHostDebugService");
// Webview
require("vs/workbench/contrib/webview/electron-browser/webview.contribution");
// Extensions Management
require("vs/workbench/contrib/extensions/electron-browser/extensions.contribution");
// Terminal
require("vs/workbench/contrib/terminal/electron-browser/terminal.contribution");
// Remote
require("vs/workbench/contrib/remote/electron-browser/remote.contribution");
// CodeEditor Contributions
require("vs/workbench/contrib/codeEditor/electron-browser/codeEditor.contribution");
// Execution
require("vs/workbench/contrib/externalTerminal/node/externalTerminalService");
// Update
require("vs/workbench/contrib/update/electron-browser/update.contribution");
// Performance
require("vs/workbench/contrib/performance/electron-browser/performance.contribution");
// CLI
require("vs/workbench/contrib/cli/node/cli.contribution");
// Themes Support
require("vs/workbench/contrib/themes/test/electron-browser/themes.test.contribution");
// Issues
require("vs/workbench/contrib/issue/electron-browser/issue.contribution");
// Tasks
require("vs/workbench/contrib/tasks/electron-browser/taskService");
// User Data Sync
require("vs/workbench/contrib/userDataSync/electron-browser/userDataSync.contribution");
// Welcome
require("vs/workbench/contrib/welcome/gettingStarted/electron-browser/openWebsite.contribution");
//#endregion
//# sourceMappingURL=workbench.desktop.main.js.map