"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
// #######################################################################
// ###                                                                 ###
// ### !!! PLEASE ADD COMMON IMPORTS INTO WORKBENCH.COMMON.MAIN.TS !!! ###
// ###                                                                 ###
// #######################################################################
//#region --- workbench common
require("vs/workbench/workbench.common.main");
//#endregion
//#region --- workbench (web main)
require("vs/workbench/browser/web.main");
//#endregion
//#region --- workbench services
require("vs/workbench/services/integrity/browser/integrityService");
require("vs/workbench/services/textMate/browser/textMateService");
require("vs/workbench/services/search/common/searchService");
require("vs/workbench/services/output/common/outputChannelModelService");
require("vs/workbench/services/textfile/browser/browserTextFileService");
require("vs/workbench/services/keybinding/browser/keymapService");
require("vs/workbench/services/extensions/browser/extensionService");
require("vs/workbench/services/extensionManagement/common/extensionManagementServerService");
require("vs/workbench/services/telemetry/browser/telemetryService");
require("vs/workbench/services/configurationResolver/browser/configurationResolverService");
require("vs/workbench/services/credentials/browser/credentialsService");
require("vs/workbench/services/url/browser/urlService");
require("vs/workbench/services/update/browser/updateService");
require("vs/workbench/contrib/stats/browser/workspaceStatsService");
require("vs/workbench/services/workspace/browser/workspacesService");
require("vs/workbench/services/dialogs/browser/dialogService");
require("vs/workbench/services/host/browser/browserHostService");
require("vs/workbench/services/request/browser/requestService");
require("vs/workbench/browser/web.simpleservices");
const extensions_1 = require("vs/platform/instantiation/common/extensions");
const clipboardService_1 = require("vs/platform/clipboard/common/clipboardService");
const clipboardService_2 = require("vs/platform/clipboard/browser/clipboardService");
const accessibility_1 = require("vs/platform/accessibility/common/accessibility");
const accessibilityService_1 = require("vs/platform/accessibility/common/accessibilityService");
const extensionManagement_1 = require("vs/platform/extensionManagement/common/extensionManagement");
const lifecycleService_1 = require("vs/platform/lifecycle/browser/lifecycleService");
const lifecycle_1 = require("vs/platform/lifecycle/common/lifecycle");
const contextView_1 = require("vs/platform/contextview/browser/contextView");
const contextMenuService_1 = require("vs/platform/contextview/browser/contextMenuService");
const backup_1 = require("vs/workbench/services/backup/common/backup");
const backupFileService_1 = require("vs/workbench/services/backup/common/backupFileService");
const extensionManagementService_1 = require("vs/workbench/services/extensionManagement/common/extensionManagementService");
const tunnel_1 = require("vs/platform/remote/common/tunnel");
const tunnelService_1 = require("vs/platform/remote/common/tunnelService");
const userDataSync_1 = require("vs/platform/userDataSync/common/userDataSync");
const userDataSyncStoreService_1 = require("vs/platform/userDataSync/common/userDataSyncStoreService");
const userDataSyncService_1 = require("vs/platform/userDataSync/common/userDataSyncService");
extensions_1.registerSingleton(extensionManagement_1.IExtensionManagementService, extensionManagementService_1.ExtensionManagementService);
extensions_1.registerSingleton(backup_1.IBackupFileService, backupFileService_1.BackupFileService);
extensions_1.registerSingleton(clipboardService_1.IClipboardService, clipboardService_2.BrowserClipboardService, true);
extensions_1.registerSingleton(accessibility_1.IAccessibilityService, accessibilityService_1.BrowserAccessibilityService, true);
extensions_1.registerSingleton(lifecycle_1.ILifecycleService, lifecycleService_1.BrowserLifecycleService);
extensions_1.registerSingleton(contextView_1.IContextMenuService, contextMenuService_1.ContextMenuService);
extensions_1.registerSingleton(tunnel_1.ITunnelService, tunnelService_1.NoOpTunnelService, true);
extensions_1.registerSingleton(userDataSync_1.IUserDataSyncStoreService, userDataSyncStoreService_1.UserDataSyncStoreService);
extensions_1.registerSingleton(userDataSync_1.IUserDataSyncService, userDataSyncService_1.UserDataSyncService);
//#endregion
//#region --- workbench contributions
// Explorer
require("vs/workbench/contrib/files/browser/files.web.contribution");
// Preferences
require("vs/workbench/contrib/preferences/browser/keyboardLayoutPicker");
// Debug
require("vs/workbench/contrib/debug/browser/extensionHostDebugService");
// Webview
require("vs/workbench/contrib/webview/browser/webviewService");
require("vs/workbench/contrib/webview/browser/webviewEditorService");
// Terminal
require("vs/workbench/contrib/terminal/browser/terminalNativeService");
require("vs/workbench/contrib/terminal/browser/terminalInstanceService");
// Tasks
require("vs/workbench/contrib/tasks/browser/taskService");
//#endregion
//# sourceMappingURL=workbench.web.main.js.map